//-----------------------------------------------------------------------------
// Animation.m
// Author: Victhor
// Web: victhor.deviantart.com
// e-mail: victorbrocaz@gmail.com
//
// Based on DirtyLowMoFo script (http://forums.winamp.com/showpost.php?p=668881&postcount=3)
// Mixed with cPro2 Play2Pause script (by Skin Consortium)
//*****************************************************************************

#include "std.mi"


Function DoAniStuff(AnimatedLayer ToBeAnim, int start, int stop, int speed, int loop);

Global Button PlayButton, PauseButton;
Global AnimatedLayer AnimationPlayPause;
Global Group pGroup;
Global int frameNum;



System.onScriptLoaded()
{
  group pGroup = getScriptGroup();
  PlayButton = pGroup.findobject("play.track");
  PauseButton = pGroup.getObject("pause.track");
  AnimationPlayPause = pGroup.findobject("animation.play.pause");

	if(System.getStatus() == STATUS_PLAYING){
  		AnimationPlayPause.gotoFrame(15);
      PlayButton.hide();
      PauseButton.show();
	}
	else{
			AnimationPlayPause.gotoFrame(0);
      PlayButton.show();
      PauseButton.hide();			
	}

}



PauseButton.onLeftClick () {
    DoAniStuff(AnimationPlayPause, 15, 0, 50, 0);
    //this will start at the frame 15, and play to frame 0 at 50 milliseconds a frame & NOT loop continuously
}


//Set system actions

System.onPlay(){
  DoAniStuff(AnimationPlayPause, 0, 15, 50, 0);

	PlayButton.hide();
	PauseButton.show();
	
}

System.onStop(){


  if (AnimationPlayPause.isPlaying())
  {
  DoAniStuff(AnimationPlayPause, 15, 0, 50, 0);
  PlayButton.show();
  PauseButton.hide();
  }
  else
  {
    framenum = (AnimationPlayPause.getCurFrame());
  
    if (framenum >= 14 && framenum <= 16)
    {
    DoAniStuff(AnimationPlayPause, 15, 0, 50, 0);
    }
    else if (framenum == 0 && framenum == 0)
    {
    AnimationPlayPause.gotoFrame(0);
    //DoAniStuff(AnimationPlayPause, 0, 15, 50, 0);
    }
    PlayButton.show();
    PauseButton.hide();
  }
  
}



System.onPause(){
  DoAniStuff(AnimationPlayPause, 15, 0, 50, 0);
 	PlayButton.show();
	PauseButton.hide();
  //PlayButton.setXMLParam("ghost", "1");
}

System.onResume(){
  DoAniStuff(AnimationPlayPause, 0, 15, 50, 0);
	PlayButton.hide();
	PauseButton.show();	
}



//Animation action

DoAniStuff(AnimatedLayer ToBeAnim, int start, int stop, int speed, int loop) {
  ToBeAnim.setStartFrame(start);
  ToBeAnim.setEndFrame(stop);
  ToBeAnim.setAutoReplay(loop);
  ToBeAnim.setSpeed(speed);
  ToBeAnim.play();
}



//Restart current track ;)
PauseButton.onRightButtonDown(int x, int y){ //Winamp bug hack
	PauseButton.setXmlParam("action", "");
}
PauseButton.onRightButtonUp(int x, int y){ 
	System.play();
	complete;
	PauseButton.setXmlParam("action", "PAUSE");
}


//Victhor trick to hide buttons while playing animation and show again when animation stop

AnimationPlayPause.onFrame(int framenum) {
  if (framenum >= 1 && framenum <= 14) {
    PlayButton.setXmlParam("ghost", "1");
    PauseButton.setXmlParam("ghost", "1");
  }
  else {
    (framenum == 0 && framenum == 15);
    PlayButton.setXmlParam("ghost", "0");
    PauseButton.setXmlParam("ghost", "0");
  }
}