/*---------------------------------------------------
-----------------------------------------------------
Filename:	mcvcore.m
Version:	5.0 (Victhor heavy mods)

Author:		Martin Poehlmann aka Deimos
-----------------------------------------------------
---------------------------------------------------*/

#include "std.mi"
#include "attribs/init_windowpage.m"
#include "attribs/init_vis.m"
#include "attribs/init_appearance.m"
#include "lib/com/songinfo.m"

#define VIS_GUID "{0000000A-000C-0010-FF7B-01014263450C}"

#ifndef DOHIDEMCV
#define updateSaving
#endif



// v1.2 All this disabled (turned into a simple Function in defs.m //

//#define FIT_W2_COMP fit(sui_fi, 369, 0, 20, 0, -366, 1, 222, 0)
//#define FIT_W2_COMP_STOPPED fit(sui_fi, 369, 0, 2, 0, -366, 1, 222, 0)
//#define FIT_W2_COMPSONG fit(sui_fisong, 380, 0, 4, 0, -381, 1, 33, 0)
//#define FIT_W2_COMPSONG_STOPPED fit(sui_fisong, 380, 0, -18, 0, -381, 1, 33, 0)

//#define FIT_W_COMP fit(sui_fi, 186, 0, 20, 0, -183, 1, 222, 0)
//#define FIT_W_COMP_STOPPED fit(sui_fi, 186, 0, 2, 0, -183, 1, 222, 0)
//#define FIT_W_COMPSONG fit(sui_fisong, 193, 0, 4, 0, -195, 1, 33, 0)
//#define FIT_W_COMPSONG_STOPPED fit(sui_fisong, 193, 0, -18, 0, -195, 1, 33, 0)

//#define FIT_WO_COMP fit(sui_fi, 4, 0, 20, 0, -1, 1, 222, 0)
//#define FIT_WO_COMP_STOPPED fit(sui_fi, 4, 0, 2, 0, -1, 1, 222, 0)
//#define FIT_WO_COMPSONG fit(sui_fisong, 11, 0, 4, 0, -6, 1, 33, 0)
//#define FIT_WO_COMPSONG_STOPPED fit(sui_fisong, 11, 0, -18, 0, -6, 1, 33, 0)

// v1.2 All this disabled (turned into a simple Function in defs.m //


Global Boolean bypasscancel;
Global Timer callbackTimer, tempDisable, firstload;

#define CURR_COMP plsc
#include "mcvcore/defs.m"

//#ifdef IC_COVERFLOW
#undef CURR_COMP
#define CURR_COMP cflow
#include "mcvcore/defs.m"
//#endif

Function fit (group g, int x, int rx, int y, int ry, int w, int rw, int h, int rh); 

Function switchToIcOnly();
Function switchToCover();
Function switchToVisCover();
Function switchToVis();
Function switchToVis_Full();
Function updateFileInfo();
//Function AnimationSongInfoIN(); // v1.2
Function SongInfoShow(); // v1.2
Function SongInfoHide(); // v1.2

Function hideFi();
Function showFi();
Function hideCover();
Function showCover();
Function hideVis();
Function showVis();
Function hideVis_Full();
Function showVis_Full();
Function openIC();
Function closeIC();
Function openLC();
Function closeLC();
#ifdef DOHIDEMCV
Function hideMCV();
#endif

Function onHideFi();
Function onShowFi();
Function onHideCover();
Function onShowCover();
Function onHideVis();
Function onShowVis();
Function onHideVis_Full();
Function onShowVis_Full();
Function onCloseIC();
Function onOpenIC();
Function onhideMCV();

Function dc_hideFi();
Function dc_showFi();
Function dc_hideCover();
Function dc_showCover();
Function dc_hideVis();
Function dc_showVis();
Function dc_hideVis_Full();
Function dc_showVis_Full();

Function updateFooter();

Function ProcessMenuResult (int a);

#ifdef DOHIDEMCV
function updateSaving (int l);
#endif

Global Group sg, sui_cover, sui_vis_full, sui_vis, sui_fi, sui_fisong/*, sui_fisong_fake*/, g_footer, /*NotesTxt, */g_visbtns, info_component_albumbg, info_component_albumbg_container;
Global Group info_component_albumbg_overlay, info_component_albumbg_overlay_container/*, InfoComponentSonginfodisplayFake*/, sui_vis_full_buttons;
Global WindowHolder sui_vis_wdh, sui_vis_full_wdh;
Global Layout main;
Global AlbumArtLayer l_albumart;
Global Layer l_branding;
Global Boolean callback_showing_vis, callback_hiding_vis, callback_showing_vis_full, callback_hiding_vis_full, callback_showing_cover, callback_hiding_cover, callback_showing_fi, callback_hiding_fi;
Global Boolean showing_vis, hiding_vis, showing_vis_full, hiding_vis_full, showing_cover, hiding_cover, hiding_fi, showing_fi;
Global Boolean Mychange;
Global Boolean prevent_vis = 1;
Global Frame dualwnd, mainframe;
Global GuiObject /*footerGrid, */sendToBtn, bg_songinfo; // v1.11 footerGrid removed completely

Global Popupmenu compMenu;
Global Button compChoose, LyricFinder, SearchVideo, HideCoverBtn;
Global Boolean startup_done;
Global Int substract = 0;

Global Timer undo_autoclose;
Global Group undo_closecov_message;
Global Button undo_button;

#ifdef DOHIDEMCV
Global Int last_menu_sel;
#endif

// script loading/unloading goes here
#include mcvcore/load_handles.m

// open / hiding components not caused by button clicks
#include mcvcore/external_handles.m

// showing and hiding the components
#include mcvcore/show_hide.m



System.onScriptLoaded() {
		firstload = new Timer;
		firstload.setDelay(700);
		firstload.start();


	if (artist_info_buttons_attrib.getData() == "1") // v1.1: Improved button's visibility
	{
    if (g_footer.getwidth() < 455) sui_vis_full_buttons.setXmlParam("w", "203");
    if (g_footer.getwidth() > 450) sui_vis_full_buttons.setXmlParam("w", "254");
    if (g_footer.getwidth() < 410) sui_vis_full_buttons.setXmlParam("w", "153");
    if (g_footer.getwidth() > 410 && g_footer.getwidth() < 455) sui_vis_full_buttons.setXmlParam("w", "203");
    if (g_footer.getwidth() < 368) sui_vis_full_buttons.setXmlParam("w", "103");
  }
}

firstload.onTimer() {
  showFi(); // Victhor addition to show FileInfo on first load
	stop();
}


undo_button.onLeftButtonUp (int x, int y)
{
  undo_autoclose.stop();
	undo_closecov_message.setTargetA(0);
	undo_closecov_message.setTargetW(1);
	undo_closecov_message.setTargetX(0);
	undo_closecov_message.setTargetSpeed(0.7);
	undo_closecov_message.gotoTarget();
}


Hidecoverbtn.onLeftButtonUp (int x, int y)
{
  //Hidecoverbtn.setAlpha(0); //v1.15 disabled (I'm using show/hide now)

  if (ic_vis_fileinfo.getData() == "1") // v1.1: Now this trigger takes into account if Vis is visible
  {
  undo_closecov_message.setXmlParam("visible", "1");
	undo_closecov_message.setTargetA(253);
  undo_closecov_message.setTargetX(194);
	undo_closecov_message.setTargetW(220);
	undo_closecov_message.setTargetSpeed(0.5);
	undo_closecov_message.gotoTarget();
  }
  else
  {
  undo_closecov_message.setXmlParam("visible", "1");
	undo_closecov_message.setTargetA(253);
  undo_closecov_message.setTargetX(14);
	undo_closecov_message.setTargetW(220);
	undo_closecov_message.setTargetSpeed(0.5);
	undo_closecov_message.gotoTarget();
	}
	
  undo_autoclose.setDelay(5000);
  undo_autoclose.start();
}

undo_button.onEnterArea()
{
 if (undo_autoclose.isRunning())
  {
  undo_autoclose.stop();
  undo_autoclose.setDelay(400);
  }
}

undo_button.onLeaveArea()
{
  undo_autoclose.start();
}


undo_autoclose.onTimer()
{
	undo_closecov_message.setTargetA(0);
	undo_closecov_message.setTargetW(1);
	undo_closecov_message.setTargetX(0);
	undo_closecov_message.setTargetSpeed(0.7);
	undo_closecov_message.gotoTarget();
}


/* Switching menu */
compChoose.onRightButtonUp(int x, int y)
{
	complete;
}

compChoose.onRightClick () {
	compChoose.onLeftClick ();
}

compChoose.onLeftClick ()
{
	compMenu = new Popupmenu;
	
	popupmenu fiSub = new Popupmenu;
	compMenu.addCommand("File Info", 1, ic_fileinfo.getData() == "1", 0);
	compMenu.addSeparator();
	compMenu.addCommand("Playlist Info", 7, _cflow_ic_attrib.getData() == "1", 0);
	compMenu.addSeparator();

		compMenu.addCommand("Visualization", 2, ic_vis.getData() == "1", 0);
		compMenu.addSeparator();
    compMenu.addCommand("Multi-tools", 3, _plsc_ic_attrib.getData() == "1", 0);
	
#ifdef DOHIDEMCV
	compMenu.addCommand("Hide Multi Content View", 6, ic_hidden.getData() == "1", 0);
#endif
  compMenu.addSeparator();
	compMenu.addSubmenu(fiSub, "File Info Components");

  fiSub.addCommand("Visualization", 12, ic_vis_fileinfo.getData() == "1", 0);
	fiSub.addCommand("Album Art", 11, ic_cover_fileinfo.getData() == "1", 0);
	fiSub.addSeparator();
	fiSub.addCommand("Show Track #", 24, infocomp_show_track.getData() == "1", 0);
	fiSub.addCommand("Show Year", 21, infocomp_show_year.getData() == "1", 0);
	fiSub.addCommand("Show Genre", 22, infocomp_show_genre.getData() == "1", 0);
	fiSub.addCommand("Show Album Artist", 25, infocomp_show_albumartist.getData() == "1", 0);
	fiSub.addCommand("Show Composer", 26, infocomp_show_composer.getData() == "1", 0);
	fiSub.addCommand("Show Disc", 28, infocomp_show_disc.getData() == "1", 0);
	fiSub.addCommand("Show Publisher", 31, infocomp_show_publisher.getData() == "1", 0);
	fiSub.addCommand("Show Decoder", 27, infocomp_show_format.getData() == "1", 0);
	fiSub.addCommand("Show BPM", 29, infocomp_show_bpm.getData() == "1", 0);
	fiSub.addCommand("Show Comment", 23, infocomp_show_comment.getData() == "1", 0);
	fiSub.addCommand("Show Song Rating", 20, infocomp_show_rating.getData() == "1", 0);
	fiSub.addCommand("Show File Path", 34, infocomp_show_filepath.getData() == "1", 0);
	fiSub.addSeparator();
	fiSub.addCommand("Cycle File Info", 30, infocomp_cycle.getData() == "1", 0);
	fiSub.addCommand("Scroll text if it doesn't fit", 33, infocomp_scroll.getData() == "1", 0);
	fiSub.addCommand("Hide File Info background", 32, fibg_attrib.getData() == "1", 0);

	ProcessMenuResult (compMenu.popAtXY(clientToScreenX(compChoose.getLeft()), clientToScreenY(compChoose.getTop() + 31)));
	delete compMenu;
	delete fiSub;
	complete;
}



ProcessMenuResult (int a)
{
	if (a < 1) return;
	if (a == 1)
	{
		ic_fileinfo.setData("1");
	}
	else if (a == 2)
	{
		ic_vis.setData("1");
	}
	else if (a == 3)
	{
		_plsc_ic_attrib.setData("1");
	}
	else if (a == 7)
	{
		_cflow_ic_attrib.setData("1");
	}

#ifdef DOHIDEMCV
	else if (a == 6)
	{
		ic_hidden.setData("1");
	}
#endif
	else if (a == 11)
	{
		toggleAttrib(ic_cover_fileinfo);
	}
	else if (a == 12)
	{
		toggleAttrib(ic_vis_fileinfo);
	}
	else if (a == 20)
	{
		toggleAttrib(infocomp_show_rating);
	}
	else if (a == 21)
	{
		toggleAttrib(infocomp_show_year);
	}
	else if (a == 22)
	{
		toggleAttrib(infocomp_show_genre);
	}
	else if (a == 23)
	{
		toggleAttrib(infocomp_show_comment);
	}
	else if (a == 24)
	{
		toggleAttrib(infocomp_show_track);
	}
	else if (a == 25)
	{
		toggleAttrib(infocomp_show_albumartist);
	}
	else if (a == 26)
	{
		toggleAttrib(infocomp_show_composer);
	}
	else if (a == 27)
	{
		toggleAttrib(infocomp_show_format);
	}
	else if (a == 28)
	{
		toggleAttrib(infocomp_show_disc);
	}
	else if (a == 29)
	{
		toggleAttrib(infocomp_show_bpm);
	}
	else if (a == 30)
	{
		toggleAttrib(infocomp_cycle);
	}
	else if (a == 31)
	{
		toggleAttrib(infocomp_show_publisher);
	}
  else if (a == 32)
	{
		toggleAttrib(fibg_attrib);
	}
  else if (a == 33)
	{
		toggleAttrib(infocomp_scroll);
	}
  else if (a == 34)
	{
		toggleAttrib(infocomp_show_filepath);
	}
}

// Hiding footer buttons (for file info view)

artist_info_buttons_attrib.onDataChanged ()
{
	updateFooter ();
}

g_footer.onResize (int x, int y, int w, int h)
{
	if (artist_info_buttons_attrib.getData() == "1")
	{
		/*if (w < 203) footerGrid.hide();
		else footerGrid.show();*/

		if (w < 203) LyricFinder.hide();
		else LyricFinder.show();

		if (w < 145) SearchVideo.hide();
		else SearchVideo.show();

    if (w < 455) sui_vis_full_buttons.setXmlParam("w", "203");
    if (w > 450) sui_vis_full_buttons.setXmlParam("w", "254");
    if (w < 410) sui_vis_full_buttons.setXmlParam("w", "153");
    if (w > 410 && w < 455) sui_vis_full_buttons.setXmlParam("w", "203");
    if (w < 368) sui_vis_full_buttons.setXmlParam("w", "103");
	}
	else
	{
		/*if (w < 98) footerGrid.hide();
		else footerGrid.show();	*/
		LyricFinder.hide();
		SearchVideo.hide();
	}
	
	if (w < 98) sendToBtn.hide();
	else sendToBtn.show();


  if (ic_fileinfo.getData() == "1" && ic_vis_fileinfo.getData() == "1" && ic_cover_fileinfo.getData() == "0") // v1.2 added ic_fileinfo.getData...
	{
		if (g_footer.getwidth() < 330) LyricFinder.hide();
		else LyricFinder.show();

		if (g_footer.getwidth() < 280) SearchVideo.hide();
		else SearchVideo.show();

		if (g_footer.getwidth() < 230) sendToBtn.hide();
		else sendToBtn.show();
		
    if (g_footer.getwidth() < 180) compChoose.hide();
		else compChoose.show();
  }

  // Vic  (hiding File Info top background + changing FI view selector + hiding Bg when only album art is visible)
  	
  if (w < 44) compChoose.setXmlParam("image", "infocomp.button.toggle.invisible");
	else compChoose.setXmlParam("image", "infocomp.button.toggle.normal");

	if (w < 8 && fibg_attrib.getdata() == "0") { bg_songinfo.hide(); info_component_albumbg.hide(); }
	else if (w > 8 && fibg_attrib.getdata() == "0") { bg_songinfo.show();	info_component_albumbg.show(); }
	else if (w < 8 && fibg_attrib.getdata() == "1") { bg_songinfo.hide(); }
	else if (w > 8 && fibg_attrib.getdata() == "1") { bg_songinfo.show(); }
}

updateFooter ()
{
	g_footer.onResize (0, 0, g_footer.getWidth(), 0);
	
  if (g_footer.getwidth() < 455) sui_vis_full_buttons.setXmlParam("w", "203"); // v1.1: hiding Vis buttons to prevent overlap with other buttons from here..
  if (g_footer.getwidth() > 450) sui_vis_full_buttons.setXmlParam("w", "254");
  if (g_footer.getwidth() < 410) sui_vis_full_buttons.setXmlParam("w", "153");
  if (g_footer.getwidth() > 410 && g_footer.getwidth() < 455) sui_vis_full_buttons.setXmlParam("w", "203");
  if (g_footer.getwidth() < 368) sui_vis_full_buttons.setXmlParam("w", "103");
  
	if (artist_info_buttons_attrib.getData() == "0") sui_vis_full_buttons.setXmlParam("w", "254"); // v1.1: ..to here

  // v1.1: Resize the area to get more space
	int min_w = stringToInteger(dualwnd.getXmlParam("minwidth")); ///////////////
	int w = stringToInteger(dualwnd.getXmlParam("w"));
  
  if (w < min_w)
  {
    int mainframe_pos = mainframe.getPosition() - (w);
    mainframe.setPosition(mainframe_pos);
  }

}

#ifdef DOHIDEMCV
// Switching back from no comp

sg.onResize (int x, int y, int w, int h)
{
	/*if (ic_hidden.getData() == "0" || last_menu_sel == 0 || w == 0)
	{
		return;
	}*/ // v1.2 Bento cleaning - no longer needed?
	ProcessMenuResult (getPrivateInt("Big Bento Modern Windows 10 edition", "MCV last sel", 1));
}

// save last pos

updateSaving (int l)
{
	if (last_menu_sel == l)
	{
		return;
	}
	if (last_menu_sel != 0) setPrivateInt("Big Bento Modern Windows 10 edition", "MCV last sel", last_menu_sel);
	last_menu_sel = l;
}
#endif

/** Calls after comp is shown */

onCloseIC() {}
onOpenIC() {}

onShowCover() {

}

	
onHideCover() {}


onShowVis()
{
	g_visbtns.show();
}

onHideVis()
{
	g_visbtns.hide();
}


onShowFi() {

  
  if (l_branding.isVisible() == "1") // v1.1 fixing
  {
    //info_component_albumbg_overlay_container.hide(); //v1.2 added _container and disabled later..
    sui_cover.hide();
  }
}

onHideFi() {
  info_component_albumbg_overlay_container.hide();
  info_component_albumbg_container.hide();
  undo_closecov_message.setXmlParam("visible", "0"); //v1.2 added so it doesn't show when switching views
}



onShowVis_Full() {}

onHideVis_Full() {}




#ifdef DOHIDEMCV
onhideMCV() {}
#endif

 // v1.2 from here
 
/*fit (group g, int x, int rx, int y, int ry, int w, int rw, int h, int rh) //v1.2 theoretically it's no longer needed
{
	if (!g) return;
	g.setXmlParam("x", integerToString(x));
	g.setXmlParam("y", integerToString(y));
	g.setXmlParam("w", integerToString(w));
	g.setXmlParam("h", integerToString(h));
	g.setXmlParam("relatx", integerToString(rx));
	g.setXmlParam("relaty", integerToString(ry));
	g.setXmlParam("relatw", integerToString(rw));
	g.setXmlParam("relath", integerToString(rh));
}*/


// v1.2 This animation is also here (besides in fileinfo.maki) because WACUP Autoplay will only detect playback from here (this script probably loads first)
/*AnimationSongInfoIN() {
    sui_fisong.setxmlparam("h", "0");

    if (ic_cover_fileinfo.getData() == "1" && ic_vis_fileinfo.getData() == "1") { sui_fisong.setTargetX(377); }
    else if (ic_cover_fileinfo.getData() == "1" && ic_vis_fileinfo.getData() == "0") { sui_fisong.setTargetX(188); }
    else if (ic_cover_fileinfo.getData() == "0" && ic_vis_fileinfo.getData() == "1") { sui_fisong.setTargetX(188); }
    else if (ic_fileinfo.getData() == "1" && ic_cover_fileinfo.getData() == "0" && ic_vis_fileinfo.getData() == "0") { sui_fisong.setTargetX(8); }
    
    bg_songinfo.setTargetY(1);
    bg_songinfo.setTargetA(253);
    sui_fisong.setTargetY(3);
    sui_fisong.setTargetH(30);
    sui_fisong.setTargetA(253);

    bg_songinfo.setTargetSpeed(0.55);
    sui_fisong.setTargetSpeed(0.55);
    sui_fisong.gotoTarget();
    bg_songinfo.gotoTarget();
}*/

SongInfoHide() {
  sui_fisong.setXmlParam("y", "-40"); 
  sui_fisong.setxmlparam("h", "0");
  sui_fisong.setxmlparam("alpha", "0");
  bg_songinfo.setxmlparam("y", "-30");
}

SongInfoShow() {
  if (ic_cover_fileinfo.getData() == "1" && ic_vis_fileinfo.getData() == "1") { sui_fisong.setXmlParam("x", "377"); }
  else if (ic_cover_fileinfo.getData() == "1" && ic_vis_fileinfo.getData() == "0") { sui_fisong.setXmlParam("x", "188"); }
  else if (ic_cover_fileinfo.getData() == "0" && ic_vis_fileinfo.getData() == "1") { sui_fisong.setXmlParam("x", "188"); }
  else if (ic_fileinfo.getData() == "1" && ic_cover_fileinfo.getData() == "0" && ic_vis_fileinfo.getData() == "0") { sui_fisong.setXmlParam("x", "8"); }
    
  sui_fisong.setXmlParam("y", "3");
  sui_fisong.setxmlparam("h", "33");
  sui_fisong.setxmlparam("alpha", "253");
}

System.onResume() //v1.2 added to ensure Autoplay works (works in combination with fileinfo.maki)
{
  if (ic_cover_fileinfo.getData() == "1" && ic_vis_fileinfo.getData() == "1") { FIT_W2_COMP(); }
  else if (ic_cover_fileinfo.getData() == "1" && ic_vis_fileinfo.getData() == "0") { FIT_W_COMP(); }
  else if (ic_cover_fileinfo.getData() == "0" && ic_vis_fileinfo.getData() == "1") { FIT_W_COMP(); }
  else if (ic_fileinfo.getData() == "1" && ic_cover_fileinfo.getData() == "0" && ic_vis_fileinfo.getData() == "0") { FIT_WO_COMP(); }
}

FIT_W2_COMP() { sui_fi.setxmlparam("x", "372"); sui_fi.setxmlparam("y", "20"); /*sui_fi.setxmlparam("w", "-370"); */sui_fi.setxmlparam("h", "222"); }
FIT_W2_COMP_STOPPED() { sui_fi.setxmlparam("x", "372"); sui_fi.setxmlparam("y", "2"); /*sui_fi.setxmlparam("w", "-370"); */sui_fi.setxmlparam("h", "222"); }
FIT_W2_COMPSONG() { /*sui_fisong.setxmlparam("x", "377"); sui_fisong.setxmlparam("w", "-380"); */sui_fisong.setxmlparam("h", "33"); SongInfoShow(); }
FIT_W2_COMPSONG_STOPPED() { sui_fisong.setxmlparam("x", "377"); /*sui_fisong.setxmlparam("w", "-380"); */sui_fisong.setxmlparam("h", "0"); SongInfoHide(); }


FIT_W_COMP() { sui_fi.setxmlparam("x", "183"); sui_fi.setxmlparam("y", "20"); /*sui_fi.setxmlparam("w", "-181"); */sui_fi.setxmlparam("h", "222"); }
FIT_W_COMP_STOPPED() { sui_fi.setxmlparam("x", "183"); sui_fi.setxmlparam("y", "2"); /*sui_fi.setxmlparam("w", "-181"); */sui_fi.setxmlparam("h", "222"); }
FIT_W_COMPSONG() { /*sui_fisong.setxmlparam("x", "188"); sui_fisong.setxmlparam("w", "-191"); */sui_fisong.setxmlparam("h", "33"); SongInfoShow(); }
FIT_W_COMPSONG_STOPPED() { sui_fisong.setxmlparam("x", "188"); /*sui_fisong.setxmlparam("w", "-191"); */sui_fisong.setxmlparam("h", "0"); SongInfoHide(); }

FIT_WO_COMP() { sui_fi.setxmlparam("x", "2"); sui_fi.setxmlparam("y", "20"); /*sui_fi.setxmlparam("w", "0"); */sui_fi.setxmlparam("h", "222"); }
FIT_WO_COMP_STOPPED() { sui_fi.setxmlparam("x", "2"); sui_fi.setxmlparam("y", "2"); /*sui_fi.setxmlparam("w", "0"); */sui_fi.setxmlparam("h", "222"); }
FIT_WO_COMPSONG() { /*sui_fisong.setxmlparam("x", "8"); sui_fisong.setxmlparam("w", "0"); */sui_fisong.setxmlparam("h", "33"); SongInfoShow(); }
FIT_WO_COMPSONG_STOPPED() { sui_fisong.setxmlparam("x", "8"); /*sui_fisong.setxmlparam("w", "0"); */sui_fisong.setxmlparam("h", "0"); SongInfoHide(); }