/*---------------------------------------------------
/*---------------------------------------------------
-----------------------------------------------------
Filename:	show_hide.m
Version:	1.0

Type:		maki
Date:		29. Nov. 2006 - 15:57 
Author:		Martin Poehlmann aka Deimos (+ Victhor mods)
E-Mail:		martin@skinconsortium.com
Internet:	www.skinconsortium.com
		www.martin.deimos.de.vu
-----------------------------------------------------
Depending Files:
		scripts/infocompcore.maki
-----------------------------------------------------
---------------------------------------------------*/
#ifndef included
#error This script can only be compiled as a #include
#endif

// Plsc = Now is Multi-tools
// Cflow = Now is Playlist info


switchToCover ()
{
	if (callbackTimer.isRunning()) return;
	if (tempDisable.isRunning()) return;
	tempDisable.start();
	hideVis();
	hideVis_Full();
	//NotesTxt.hide(); //v1.2
	info_component_albumbg_overlay_container.show(); //v1.2 disabled? or was it like this before?
	info_component_albumbg_container.setxmlparam("x", "0"); //v1.2
	openIC();
	_Plsc_hide();
  _Cflow_hide();

	mychange = 1;
	if (startup_done)
	{
		ic_cover_fileinfo.setData("1");
		ic_fileinfo.setData("1");
	}
	mychange = 0;
	substract = 0;
	sui_cover.setXmlParam("x", "6"); //v1.2

  // maxwidth = Space from File info pane far right edge to frame divider (far left edge)
	dualwnd.setXmlParam("maxwidth", "-194");
	dualwnd.sendAction("set_maxwidth", "", -194, 0 , 0, 0);
	
	g_footer.setXmlParam("x", "181");
	g_footer.setXmlParam("w", "-182");

	updateFooter();

	if (getStatus() == STATUS_STOPPED) { FIT_W_COMP_STOPPED(); FIT_W_COMPSONG_STOPPED(); } else { FIT_W_COMP(); FIT_W_COMPSONG(); } // v1.2
	showCover();
	updateSaving(1);
}

switchToVisCover ()
{
	if (callbackTimer.isRunning()) return;
	if (tempDisable.isRunning()) return;
	tempDisable.start();
	hideVis_Full();
	info_component_albumbg_overlay_container.show(); //v1.2
	info_component_albumbg_container.setxmlparam("x", "226"); //v1.2 (today is 17/06/2021, there's a bug here, let's see how long it lasts..)
	openIC();
	_Plsc_hide();
	_Cflow_hide();

	mychange = 1;
	if (startup_done)
	{
		ic_cover_fileinfo.setData("1");
		ic_vis_fileinfo.setData("1");
		vis_lefttoplayer_attrib.setData("1");
		ic_fileinfo.setData("1");
	}
	mychange = 0;
	substract = 0;
	sui_cover.setXmlParam("x", "195"); //v1.2
	sui_vis.setXmlParam("w", "186"); //v1.2

  // maxwidth = Space from File info pane far right edge to frame divider (far left edge)
	dualwnd.setXmlParam("maxwidth", "-200"); // v1.1
	dualwnd.sendAction("set_maxwidth", "", -200, 0 , 0, 0); // v1.1

	g_footer.setXmlParam("x", "369");
	g_footer.setXmlParam("w", "-369");
	g_visbtns.setXmlParam("w", "-190"); // v1.1

	updateFooter();

	showCover();
	showVis();

  if (getStatus() == STATUS_STOPPED) { FIT_W2_COMP_STOPPED(); FIT_W2_COMPSONG_STOPPED(); } else { FIT_W2_COMP(); FIT_W2_COMPSONG(); } // v1.2
	updateSaving(1);
}


switchToVis ()
{
	if (callbackTimer.isRunning()) return;
	if (tempDisable.isRunning()) return;
	tempDisable.start();
	hideCover();
	hideVis_Full();
	//NotesTxt.hide(); //v1.2
	info_component_albumbg_overlay_container.show(); //v1.2
	info_component_albumbg_container.setxmlparam("x", "0"); //v1.2
	openIC();
	_Plsc_hide();
	_Cflow_hide();

	mychange = 1;
	if (startup_done)
	{
		ic_vis_fileinfo.setData("1");
		vis_lefttoplayer_attrib.setData("1");
		ic_fileinfo.setData("1");
	}
	mychange = 0;
	substract = 1;

	sui_vis.setXmlParam("w", "176"); // v1.2
  // maxwidth = Space from File info pane far right edge to frame divider (far left edge)
	dualwnd.setXmlParam("maxwidth", "-198");
	dualwnd.sendAction("set_maxwidth", "", -198, 0 , 0, 0);

	g_footer.setXmlParam("x", "185");
	g_footer.setXmlParam("w", "-65");
  g_visbtns.setXmlParam("w", "-324");

	updateFooter();

	showVis();
	if (getStatus() == STATUS_STOPPED) { FIT_W_COMP_STOPPED(); FIT_W_COMPSONG_STOPPED(); } else { FIT_W_COMP(); FIT_W_COMPSONG(); } // v1.2
	updateSaving(1);
}

switchToIcOnly ()
{
	if (callbackTimer.isRunning()) return;
	if (tempDisable.isRunning()) return;
	tempDisable.start();
	hideVis_Full();
	hideVis();
	hideCover();
	//NotesTxt.hide(); //v1.2
	info_component_albumbg_overlay_container.show(); //v1.2
	info_component_albumbg_container.setxmlparam("x", "0"); //v1.2
	_Plsc_hide();
	_Cflow_hide();
	mychange = 1;
	if (startup_done) ic_fileinfo.setData("1");
	mychange = 0;
	substract = 0;

  // maxwidth = Space from File info pane far right edge to frame divider (far left edge)
	dualwnd.setXmlParam("maxwidth", "-320");
	dualwnd.sendAction("set_maxwidth", "", -320, 0 , 0, 0);

	g_footer.setXmlParam("x", "0");
	g_footer.setXmlParam("w", "0");

	updateFooter();


	showFi();
	if (getStatus() == STATUS_STOPPED) { FIT_WO_COMP_STOPPED(); FIT_WO_COMPSONG_STOPPED(); } else { FIT_WO_COMP(); FIT_WO_COMPSONG(); } // v1.2
	updateSaving(1);
}


// Plsc = Multi-tools
_Plsc_switchTo ()
{
	if (callbackTimer.isRunning()) return;
	if (tempDisable.isRunning()) return;
	tempDisable.start();
	hideVis_Full();
	hideVis();
	hideCover();
	hideFi();
	info_component_albumbg_overlay_container.hide();
	_Cflow_hide();
	mychange = 1;
	_plsc_ic_attrib.setData("1");
	mychange = 0;
	substract = 0;

  // maxwidth = Space from File info pane far right edge to frame divider (far left edge)
	dualwnd.setXmlParam("maxwidth", "-61");
	dualwnd.sendAction("set_maxwidth", "", -61, 0 , 0, 0);

	g_footer.setXmlParam("x", "6");
	g_footer.setXmlParam("w", "-7");

	updateFooter();

	_Plsc_show();
	updateSaving(3);
}

_Cflow_switchTo ()
{
	if (callbackTimer.isRunning()) return;
	if (tempDisable.isRunning()) return;
	
	tempDisable.start();
	hideVis_Full();
	hideVis();
	hideCover();
	hideFi();
	info_component_albumbg_overlay_container.hide();
	_Plsc_hide();
	mychange = 1;
	_cflow_ic_attrib.setData("1");
	mychange = 0;
	substract = 0;

  // maxwidth = Space from File info pane far right edge to frame divider (far left edge)
	dualwnd.setXmlParam("maxwidth", "-215");
	dualwnd.sendAction("set_maxwidth", "", -215, 0 , 0, 0);	
	
	g_footer.setXmlParam("x", "6");
	g_footer.setXmlParam("w", "-2");

	updateFooter();

	_Cflow_show();
	updateSaving(3);
}

switchToVis_Full ()
{
	if (callbackTimer.isRunning()) return;
	if (tempDisable.isRunning()) return;
	tempDisable.start();
	closeIC();
	hideVis();
	hideCover();
	info_component_albumbg_overlay_container.hide();
	_Plsc_hide();
	_Cflow_hide();
	mychange = 1;
	ic_vis.setData("1");
	vis_lefttoplayer_full_attrib.setData("1");
	mychange = 0;
	substract = 1;

  // maxwidth = Space from File info pane far right edge to frame divider (far left edge)
  dualwnd.setXmlParam("maxwidth", "-360");
  dualwnd.sendAction("set_maxwidth", "", -360, 0 , 0, 0);

	g_footer.setXmlParam("x", "6");
	g_footer.setXmlParam("w", "-7");

	updateFooter();

	showVis_Full();
	updateSaving(2);
}

tempDisable.onTimer()
{
	stop();
}

closeLC ()
{
	if (callbackTimer.isRunning()) return;
	if (tempDisable.isRunning()) return;
	tempDisable.start();
	hideVis();
	hideCover();
	hideVis_Full();
	_Plsc_hide();
	_Cflow_hide();
	//NotesTxt.hide(); //v1.2
}

closeIC ()
{
	hideFi();

	onCloseIC();
}

openIC ()
{
	showFi();

	onOpenIC();
}

showFi()
{
	showing_fi = 1;
	setPrivateString("Big Bento Modern Windows 10 edition", "Component3", "File Info");
	GuiObject o = sui_fi;
	if (o != NULL)
	{ 
		bypasscancel = 1;
		if (o) o.show();
		bypasscancel = 0;
	}
	
	GuiObject o = sui_fisong;
	if (o != NULL)
	{ 
		bypasscancel = 1;
		if (o) o.show();
		bypasscancel = 0;
	}
	

	onShowFi();
	showing_Fi = 0;
}

hideFi()
{
	hiding_Fi = 1;
	GuiObject o = sui_fi;
	if (o != NULL) { 
		bypasscancel = 1;
		if (o) o.hide();
		bypasscancel = 0;
	}
	
	GuiObject o = sui_fisong;
	if (o != NULL) { 
		bypasscancel = 1;
		if (o) o.hide();
		bypasscancel = 0;
	}

	onHideFi();
	hiding_Fi = 0;
}

showVis()
{
	showing_vis = 1;
	GuiObject o = sui_vis;
	if (o != NULL)
	{ 
		bypasscancel = 1;
		if (o) o.show();
		bypasscancel = 0;
	}

	onShowVis();
	showing_vis = 0;
}

hideVis()
{
  hiding_vis = 1;
	GuiObject o = sui_vis;
	if (o != NULL) { 
		bypasscancel = 1;
		if (o) o.hide();
		bypasscancel = 0;
	}

	onHideVis();
	hiding_vis = 0;
}

showCover()
{
	showing_Cover = 1;
	GuiObject o = sui_Cover;
	
	if (o != NULL)
	{ 
		bypasscancel = 1;
		if (o) o.show();
		bypasscancel = 0;
	}

	onShowCover();
	showing_Cover = 0;
}

hideCover()
{
	hiding_Cover = 1;
	GuiObject o = sui_Cover;
	
	if (o != NULL) { 
		bypasscancel = 1;
		if (o) o.hide();
		bypasscancel = 0;
	}

	onHideCover();
	hiding_Cover = 0;
}

showVis_Full()
{
	showing_vis_full = 1;
	GuiObject o = sui_vis_full;
	if (o != NULL)
	{ 
		bypasscancel = 1;
		if (o) o.show();
		bypasscancel = 0;
	}

	onShowVis_Full();
	showing_vis_full = 0;
}

hideVis_Full()
{
	hiding_vis_full = 1;
	GuiObject o = sui_vis_full;
	if (o != NULL) { 
		bypasscancel = 1;
		if (o) o.hide();
		bypasscancel = 0;
	}

	onHideVis_Full();
	hiding_vis_full = 0;
}


callbackTimer.onTimer()
{
	callbackTimer.stop();

	int _callback_showing_vis = callback_showing_vis;
	int _callback_hiding_vis = callback_hiding_vis;
	int _callback_showing_fi = callback_showing_fi;
	int _callback_hiding_fi = callback_hiding_fi;
	int _callback_showing_cover = callback_showing_cover;
	int _callback_hiding_cover = callback_hiding_cover;
	int _callback_showing_vis_full = callback_showing_vis_full;
	int _callback_hiding_vis_full = callback_hiding_vis_full;
	int _plsc_callback_showing_temp = _plsc_callback_showing;
	int _plsc_callback_hiding_temp = _plsc_callback_hiding;
	int _cflow_callback_showing_temp = _cflow_callback_showing;
	int _cflow_callback_hiding_temp = _cflow_callback_hiding;

	callback_showing_vis = 0;
	callback_hiding_vis = 0;
	callback_showing_fi = 0;
	callback_hiding_fi = 0;
	callback_showing_cover = 0;
	callback_hiding_cover = 0;
	callback_showing_vis_full = 0;
	callback_hiding_vis_full = 0;
	_plsc_callback_showing = 0;
	_plsc_callback_hiding = 0;
	_cflow_callback_showing = 0;
	_cflow_callback_hiding = 0;


	if (_callback_showing_vis == 1)
	{
		ic_vis_fileinfo.setData("1");
		ic_fileinfo.setData("1");
	}
	if (_callback_hiding_vis == 1)
	{
		ic_vis_fileinfo.setData("0");
	}
	if (_callback_showing_fi == 1)
	{
		showFi();
	}
	if (_callback_hiding_fi == 1)
	{
		hideFi();
	}
	if (_callback_showing_cover == 1)
	{
		ic_cover_fileinfo.setData("1");
		ic_fileinfo.setData("1");
	}
	if (_callback_hiding_cover == 1)
	{
		ic_cover_fileinfo.setData("0");
	}
	if (_callback_showing_vis_full == 1)
	{
		switchToVis_Full();
	}
	if (_callback_hiding_vis_full == 1)
	{
		hideVis_Full();
	}
	if (_plsc_callback_showing_temp == 1)
	{
		_Plsc_switchTo();
	}
	if (_plsc_callback_hiding_temp == 1)
	{
		_Plsc_hide();
	}
	if (_cflow_callback_showing_temp == 1)
	{
		_Cflow_switchTo();
	}
	if (_cflow_callback_hiding_temp == 1)
	{
		_Cflow_hide();
	}
}

dc_showFi ()
{
	callback_showing_fi = 1;
	callback_hiding_fi = 0;
	callbackTimer.start();
}

dc_hideFi ()
{
	callback_showing_fi = 0;
	callback_hiding_fi = 1;
	callbackTimer.start();
}

dc_showCover ()
{
	callback_showing_cover = 1;
	callback_hiding_cover = 0;
	callbackTimer.start();
}

dc_hideCover ()
{
	callback_showing_cover = 0;
	callback_hiding_cover = 1;
	callbackTimer.start();
}

dc_showVis ()
{
	callback_showing_vis = 1;
	callback_hiding_vis = 0;
	callbackTimer.start();
}

dc_hideVis ()
{
	callback_showing_vis = 0;
	callback_hiding_vis = 1;
	callbackTimer.start();
}

dc_showVis_Full ()
{
	callback_showing_vis_full = 1;
	callback_hiding_vis_full = 0;
	callbackTimer.start();
}

dc_hideVis_Full ()
{
	callback_showing_vis_full = 0;
	callback_hiding_vis_full = 1;
	callbackTimer.start();
}


//v1.2 added from here on
 
System.onStop()
{
  if (ic_cover_fileinfo.getData() == "1" && ic_vis_fileinfo.getData() == "1") { FIT_W2_COMP_STOPPED(); FIT_W2_COMPSONG_STOPPED(); }
  else if (ic_cover_fileinfo.getData() == "1" && ic_vis_fileinfo.getData() == "0") { FIT_W_COMP_STOPPED(); FIT_W_COMPSONG_STOPPED(); }
  else if (ic_cover_fileinfo.getData() == "0" && ic_vis_fileinfo.getData() == "1") { FIT_W_COMP_STOPPED(); FIT_W_COMPSONG_STOPPED(); }
  else if (ic_cover_fileinfo.getData() == "0" && ic_vis_fileinfo.getData() == "0") { FIT_WO_COMP_STOPPED(); FIT_WO_COMPSONG_STOPPED(); }
}

System.onPlay()
{ 
  if (ic_cover_fileinfo.getData() == "1" && ic_vis_fileinfo.getData() == "1") { FIT_W2_COMP(); FIT_W2_COMPSONG(); }
  else if (ic_cover_fileinfo.getData() == "1" && ic_vis_fileinfo.getData() == "0") { FIT_W_COMP(); FIT_W_COMPSONG(); }
  else if (ic_cover_fileinfo.getData() == "0" && ic_vis_fileinfo.getData() == "1") { FIT_W_COMP(); FIT_W_COMPSONG(); }
  else if (ic_fileinfo.getData() == "1" && ic_cover_fileinfo.getData() == "0" && ic_vis_fileinfo.getData() == "0") { FIT_WO_COMP(); FIT_WO_COMPSONG(); }
}

/*System.onResume()
{
  if (ic_cover_fileinfo.getData() == "1" && ic_vis_fileinfo.getData() == "1") { FIT_W2_COMP(); FIT_W2_COMPSONG(); }
  else if (ic_cover_fileinfo.getData() == "1" && ic_vis_fileinfo.getData() == "0") { FIT_W_COMP(); FIT_W_COMPSONG(); }
  else if (ic_cover_fileinfo.getData() == "0" && ic_vis_fileinfo.getData() == "1") { FIT_W_COMP(); FIT_W_COMPSONG(); }
  else if (ic_fileinfo.getData() == "1" && ic_cover_fileinfo.getData() == "0" && ic_vis_fileinfo.getData() == "0") { FIT_WO_COMP(); FIT_WO_COMPSONG(); }
}*/