//-----------------------------------------------------------------------------
// Animation.m
// Author: Victhor
// Web: victhor.deviantart.com
// e-mail: victorbrocaz@gmail.com
//
//*****************************************************************************

#include "std.mi"


Global Button PlayButton, PauseButton;
Global Group pGroup;



System.onScriptLoaded()
{
  group pGroup = getScriptGroup();
  PlayButton = pGroup.findobject("play.track.notif");
  PauseButton = pGroup.getObject("pause.track.notif");
  

	if(System.getStatus() == STATUS_PLAYING){
      PlayButton.hide();
      PauseButton.show();
	}
	else{
      PlayButton.show();
      PauseButton.hide();
	}

}


//Set buttons actions on click

PlayButton.onLeftClick() {
      PlayButton.hide();
      PauseButton.show(); 
}



PauseButton.onLeftClick () {
      PlayButton.show();
      PauseButton.hide();
}



//Set system actions

System.onPlay(){
	PlayButton.hide();
	PauseButton.show();
}


System.onStop(){
	PlayButton.show();
	PauseButton.hide();	
}

System.onPause(){
 	PlayButton.show();
	PauseButton.hide();
}

System.onResume(){
	PlayButton.hide();
	PauseButton.show();	
}


//Restart current track ;)
PauseButton.onRightButtonDown(int x, int y){ //Winamp bug hack
	PauseButton.setXmlParam("action", "");
}
PauseButton.onRightButtonUp(int x, int y){ 
	System.play();
	complete;
	PauseButton.setXmlParam("action", "PAUSE");
}