/*---------------------------------------------------
-----------------------------------------------------
Filename:	seek.m
Version:	1.2

Type:		maki
Date:		23. Jul. 2007 - 22:52 
Author:		Martin Poehlmann aka Deimos
E-Mail:		martin@skinconsortium.com
Internet:	www.skinconsortium.com
		www.martin.deimos.de.vu

Note:		This script is based on seek.m
		from Winamp Modern
Victhor note: Added hover effect on seeker fill
-----------------------------------------------------
---------------------------------------------------*/

#include <lib/std.mi>

Global Group scriptGroup;
Global Slider Seeker, SeekerBehind;
Global Int Seeking;
Global GuiObject SongTicker;
Global GuiObject progressBar, progressbar_hover, seek_bg;

System.onScriptLoaded()
{
	scriptGroup = system.getscriptGroup();
	seek_bg = scriptGroup.findObject("player.seek.bg");
	Seeker = scriptGroup.findObject("seeker.ghost");
	SeekerBehind = scriptGroup.findObject("seeker.ghost");
	progressBar = scriptGroup.findObject("progressbar");
	progressBar_hover = scriptGroup.findObject("progressbar.hover");
	SongTicker = scriptGroup.getParentLayout().findObject("songticker");

	progressBar.hide();
  progressBar.show();

	if (getStatus() == 0 || !seeker.isvisible())
	{
		progressBar.hide();
		seek_bg.hide();
	}
	
}

Seeker.onSetPosition(int p) {
	if (seeking) {
		Float f;
		f = p;
		f = f / 255 * 100;
		Float len = getPlayItemLength();
		if (len != 0) {
			int np = len * f / 100;
			SongTicker.sendAction
			(
				"showinfo",
				translate("Seek") + ": " + integerToTime(np) + "/" + integerToTime(len) + " (" + integerToString(f) + "%) ",
				0, 0, 0, 0
			);
		}
	}
}

/** Hehe, this is the best trick i figured out to indicate if we have a stream */

Seeker.onSetVisible (Boolean onoff)
{
	if (onoff)
	{
		progressBar.show();
		seek_bg.show();
	}
	else
	{
		progressBar.hide();
		seek_bg.hide();
	}
}

Seeker.onEnterArea()
{
		progressBar_hover.setxmlparam("alpha", "253");
}

Seeker.onLeaveArea()
{
		progressBar_hover.setxmlparam("alpha", "0");
}

Seeker.onLeftButtonDown(int x, int y) {
	seeking = 1;
	Seeker.setAlpha(128);
	SeekerBehind.show();
}

Seeker.onLeftButtonUp(int x, int y) {
	seeking = 0;
	Seeker.setAlpha(253);
	SeekerBehind.hide();
	SongTicker.sendAction("cancelinfo", "", 0, 0, 0, 0);
}

Seeker.onSetFinalPosition(int p) {
	SongTicker.sendAction("cancelinfo", "", 0, 0, 0, 0);
}