/*---------------------------------------------------
Author:		Victhor
---------------------------------------------------*/

#include "std.mi"
#include "attribs/init_appearance.m"

//Global Layout normal;
Global Group scriptGroup, TabsGrp; // v1.2 TabsGrp
Global ToggleButton IntegrateWSCheckbox, IntegrateWSBtn, ShowWinampLogoCheckbox, ShowWinampLogoCheckboxOvrl, ShowWinampLogoBtn; // v1.2 ShowWinampLogoCheckboxOvrl
Global Text IntegrateWSTxt, ShowWinampLogoTxt;
Global GuiObject ConfigCardlikeRect;



System.onScriptLoaded ()
{
	initAttribs_appearance();

	scriptGroup = getScriptGroup();
	//normal = scriptGroup.getParentLayout();
	ConfigCardlikeRect = scriptGroup.getObject("config.cardlike.rect");
	IntegrateWSCheckbox = scriptGroup.getObject("integrate.waveseeker.checkbox");
	IntegrateWSBtn = scriptGroup.getObject("integrate.waveseeker.btn");
	IntegrateWSTxt = scriptGroup.getObject("integrate.waveseeker.txt");

	TabsGrp = scriptGroup.getObject("tabs.options"); //v1.2
	
	ShowWinampLogoCheckbox = scriptGroup.getObject("show.winamp.logo.checkbox");
	ShowWinampLogoCheckboxOvrl = scriptGroup.getObject("show.winamp.logo.checkbox.overlay"); // v1.2
	ShowWinampLogoBtn = scriptGroup.getObject("show.winamp.logo.btn");
	ShowWinampLogoTxt = scriptGroup.getObject("show.winamp.logo.txt");


  if (wacup_attrib.getData() == "1")
  {
    scriptGroup.setXmlParam("h", "398"); // v1.2 from 273
    ConfigCardlikeRect.setXmlParam("h", "195"); // v1.2 from 226
    TabsGrp.setXmlParam("y", "242"); // v1.2 added
    
    IntegrateWSCheckbox.show();
    IntegrateWSBtn.show();
    IntegrateWSTxt.show();

    ShowWinampLogoCheckboxOvrl.setXmlParam("cfgattrib", "{F1036C9C-3919-47ac-8494-366778CF10F9};Show WACUP Logo"); // v1.2
    ShowWinampLogoCheckbox.setXmlParam("cfgattrib", "{F1036C9C-3919-47ac-8494-366778CF10F9};Show WACUP Logo");
    ShowWinampLogoBtn.setXmlParam("cfgattrib", "{F1036C9C-3919-47ac-8494-366778CF10F9};Show WACUP Logo");
    ShowWinampLogoTxt.setXmlParam("text", "Show WACUP Logo");
  }
  else
  {
    //scriptGroup.setXmlParam("h", "238"); // v1.2 disabled
    //ConfigCardlikeRect.setXmlParam("h", "191"); // v1.2 disabled
    IntegrateWSCheckbox.hide();
    IntegrateWSBtn.hide();
    IntegrateWSTxt.hide();

    ShowWinampLogoCheckboxOvrl.setXmlParam("cfgattrib", "{F1036C9C-3919-47ac-8494-366778CF10F9};Show Winamp Logo"); // v1.2
    ShowWinampLogoCheckbox.setXmlParam("cfgattrib", "{F1036C9C-3919-47ac-8494-366778CF10F9};Show Winamp Logo");
    ShowWinampLogoBtn.setXmlParam("cfgattrib", "{F1036C9C-3919-47ac-8494-366778CF10F9};Show Winamp Logo");
    ShowWinampLogoTxt.setXmlParam("text", "Show Winamp Logo");
  }
}