//-----------------------------------------------------------------------------
// Animation.m
// Author: Victhor
// Web: victhor.deviantart.com
// e-mail: victorbrocaz@gmail.com
//
// Based on DirtyLowMoFo script (http://forums.winamp.com/showpost.php?p=668881&postcount=3)
// Mixed with cPro2 Play2Pause script (by Skin Consortium)
//*****************************************************************************

#include "std.mi"


Function DoAniStuff(AnimatedLayer ToBeAnim, int start, int stop, int speed, int loop);

Global AnimatedLayer AnimationPlayPauseMain;
Global Layer Ring;
Global Group pGroup;
Global int frameNum;


System.onScriptLoaded()
{
  group pGroup = getScriptGroup();
  AnimationPlayPauseMain = pGroup.findobject("playpause.animation.main");
  Ring = pGroup.findobject("player.playback.ring");

	if (System.getStatus() == STATUS_PLAYING) {
  		AnimationPlayPauseMain.gotoFrame(50);
      Ring.hide();
	}
	else if (System.getStatus() == STATUS_PAUSED) {
    AnimationPlayPauseMain.gotoFrame(80);
    Ring.hide();
	}
	else {
    AnimationPlayPauseMain.gotoFrame(0);
    Ring.show();
	}

}


//Set system actions


System.onPlay() {
  DoAniStuff(AnimationPlayPauseMain, 0, 50, 25, 0);
  Ring.hide();
}


System.onStop() {
  if (AnimationPlayPauseMain.isPlaying())
  {
    DoAniStuff(AnimationPlayPauseMain, 50, 0, 25, 0);
  }
  else
  {  
    framenum = (AnimationPlayPauseMain.getCurFrame());
    if (framenum >= 79 && framenum <= 81)
    {
      DoAniStuff(AnimationPlayPauseMain, 80, 110, 25, 0);
    }
    else if (framenum == 50/* && framenum == 50*/) //v1.2 this was needed??
    {
      DoAniStuff(AnimationPlayPauseMain, 50, 0, 25, 0);
    }
  }
  Ring.show();
}


System.onPause() {
  DoAniStuff(AnimationPlayPauseMain, 50, 80, 25, 0);
}

System.onResume() {
  DoAniStuff(AnimationPlayPauseMain, 80, 50, 25, 0);
}



//Animation action

DoAniStuff(AnimatedLayer ToBeAnim, int start, int stop, int speed, int loop) {
  ToBeAnim.setStartFrame(start);
  ToBeAnim.setEndFrame(stop);
  ToBeAnim.setAutoReplay(loop);
  ToBeAnim.setSpeed(speed);
  ToBeAnim.play();
}