/*---------------------------------------------------
Author:		Victhor
---------------------------------------------------*/

#include "std.mi"
#include "attribs/init_browser.m"
#include "lib/application.mi"

Global Group scriptGroup;
Global Button Deviantart, Wacup, Gmail, Facebook, Behance, Dribbble, Magic, Winampers, Komodo, OpenProviders, AboutIcons, PayPal, Instagram, ContributorsBtn, Changelog;


System.onScriptLoaded ()
{
	initAttribs_browser();
	
	scriptGroup = getScriptGroup();

	OpenProviders = scriptGroup.getObject("open.providers");
	AboutIcons = scriptGroup.getObject("about.icons.credit");
	
	Deviantart = scriptGroup.getObject("deviantart");
	Wacup = scriptGroup.getObject("wacup");
	Gmail = scriptGroup.getObject("gmail");
	Facebook = scriptGroup.getObject("facebook");
	Behance = scriptGroup.getObject("behance");
	Dribbble = scriptGroup.getObject("dribbble");
	Instagram = scriptGroup.getObject("instagram"); // v1.1
	
	Magic = scriptGroup.getObject("magic");
	Winampers = scriptGroup.getObject("winampers");
	Komodo = scriptGroup.getObject("komodo");

	PayPal = scriptGroup.getObject("paypal");

	ContributorsBtn = scriptGroup.getObject("contributors.btn"); // v1.1
	Changelog = scriptGroup.getObject("open.changelog"); // v1.1
}

Deviantart.onLeftClick ()
{
  if (use_browser_attrib.getdata() == "1")
  {
	System.navigateUrl("https://victhor.deviantart.com");
  }
  if (use_reader_attrib.getdata() == "1")
  {
    group sui = scriptGroup.getParentLayout().findObject("sui.content");
    String nav = "https://victhor.deviantart.com";
    sui.sendAction ("browser_navigate", nav, 0, 0, 0, 0);
  }
}

Wacup.onLeftClick ()
{
  if (use_browser_attrib.getdata() == "1")
  {
	System.navigateUrl("https://getwacup.com/community/index.php?topic=327");
  }
  if (use_reader_attrib.getdata() == "1")
  {
    group sui = scriptGroup.getParentLayout().findObject("sui.content");
    String nav = "https://getwacup.com/community/index.php?topic=327";
    sui.sendAction ("browser_navigate", nav, 0, 0, 0, 0);
  }
}

Gmail.onLeftClick ()
{
	System.navigateUrl("mailto:victorbrocaz@gmail.com");
}

Facebook.onLeftClick ()
{
  if (use_browser_attrib.getdata() == "1")
  {
	System.navigateUrl("https://www.facebook.com/victhor.brocaz");
  }
  if (use_reader_attrib.getdata() == "1")
  {
    group sui = scriptGroup.getParentLayout().findObject("sui.content");
    String nav = "https://www.facebook.com/victhor.brocaz";
    sui.sendAction ("browser_navigate", nav, 0, 0, 0, 0);
  }
}

Behance.onLeftClick ()
{
  if (use_browser_attrib.getdata() == "1")
  {
	System.navigateUrl("https://www.behance.net/victhorb");
  }
  if (use_reader_attrib.getdata() == "1")
  {
    group sui = scriptGroup.getParentLayout().findObject("sui.content");
    String nav = "https://www.behance.net/victhorb";
    sui.sendAction ("browser_navigate", nav, 0, 0, 0, 0);
  }
}

Dribbble.onLeftClick ()
{
  if (use_browser_attrib.getdata() == "1")
  {
	System.navigateUrl("https://dribbble.com/victhor");
  }
  if (use_reader_attrib.getdata() == "1")
  {
    group sui = scriptGroup.getParentLayout().findObject("sui.content");
    String nav = "https://dribbble.com/victhor";
    sui.sendAction ("browser_navigate", nav, 0, 0, 0, 0);
  }
}

Instagram.onLeftClick () // v1.1
{
  if (use_browser_attrib.getdata() == "1")
  {
	System.navigateUrl("https://instagram.com/victhorbrocaz");
  }
  if (use_reader_attrib.getdata() == "1")
  {
    group sui = scriptGroup.getParentLayout().findObject("sui.content");
    String nav = "https://instagram.com/victhorbrocaz";
    sui.sendAction ("browser_navigate", nav, 0, 0, 0, 0);
  }
}

Magic.onLeftClick ()
{
  if (use_browser_attrib.getdata() == "1")
  {
	System.navigateUrl("http://winampers.tumblr.com/");
  }
  if (use_reader_attrib.getdata() == "1")
  {
    group sui = scriptGroup.getParentLayout().findObject("sui.content");
    String nav = "http://winampers.tumblr.com/";
    sui.sendAction ("browser_navigate", nav, 0, 0, 0, 0);
  }
}

Winampers.onLeftClick ()
{
  if (use_browser_attrib.getdata() == "1")
  {
	System.navigateUrl("https://winampers.deviantart.com/");
  }
  if (use_reader_attrib.getdata() == "1")
  {
    group sui = scriptGroup.getParentLayout().findObject("sui.content");
    String nav = "https://winampers.deviantart.com/";
    sui.sendAction ("browser_navigate", nav, 0, 0, 0, 0);
  }
}

Komodo.onLeftClick ()
{
  if (use_browser_attrib.getdata() == "1")
  {
	System.navigateUrl("https://komodo-backgrounds.deviantart.com/");
  }
  if (use_reader_attrib.getdata() == "1")
  {
    group sui = scriptGroup.getParentLayout().findObject("sui.content");
    String nav = "https://komodo-backgrounds.deviantart.com/";
    sui.sendAction ("browser_navigate", nav, 0, 0, 0, 0);
  }
}

OpenProviders.onLeftClick()
{
  String skinpath = getparam();
  navigateUrl(skinpath);
}

AboutIcons.onLeftClick ()
{
  if (use_browser_attrib.getdata() == "1")
  {
	System.navigateUrl("https://ampeross.deviantart.com");
  }
  if (use_reader_attrib.getdata() == "1")
  {
    group sui = scriptGroup.getParentLayout().findObject("sui.content");
    String nav = "https://ampeross.deviantart.com";
    sui.sendAction ("browser_navigate", nav, 0, 0, 0, 0);
  }
}

Paypal.onLeftClick ()
{
	System.navigateUrl("https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=H2NNRMPGKKVDA");
}

Changelog.onLeftClick () // v1.1
{
  string sourcefile = Application.GetApplicationPath()+ "\Skins\Big Bento Modern Windows 10 edition\Changelog.txt";
  navigateURL(sourcefile);
}

ContributorsBtn.onLeftClick () // v1.1
{
  string sourcefile = Application.GetApplicationPath()+ "\Skins\Big Bento Modern Windows 10 edition\Contributors.txt";
  navigateURL(sourcefile);
}