/*---------------------------------------------------
Author:		Victhor
This Script dinamically changes the title "Localization" 
for its translation into spanish or polish depending
on the active Winamp language.

---------------------------------------------------*/

#include "std.mi"

Global Group scriptGroup;
Global GuiObject LocalizationMenuTxt;

System.onScriptLoaded ()
{
	scriptGroup = getScriptGroup();
	
	LocalizationMenuTxt = scriptGroup.getObject("localization.txt"); //It's the id of an object, not an actual TXT file...

  if (System.getLanguageId() == "es-US")
	{
		LocalizationMenuTxt.setXmlParam("text", "Idioma");
	}
	else if (System.getLanguageId() == "en-US")
	{
		LocalizationMenuTxt.setXmlParam("text", "Localization");
	}
		else if (System.getLanguageId() == "pl-PL")
	{
		LocalizationMenuTxt.setXmlParam("text", "Pakiet językowy");
	}
		else if (System.getLanguageId() == "fr-FR")
	{
		LocalizationMenuTxt.setXmlParam("text", "Langue");
	}
}