/*---------------------------------------------------
-----------------------------------------------------
Filename:	external_handles.m
Version:	1.0

Type:		maki
Date:		29. Nov. 2006 - 15:57 
Author:		Martin Poehlmann aka Deimos
E-Mail:		martin@skinconsortium.com
Internet:	www.skinconsortium.com
		www.martin.deimos.de.vu
-----------------------------------------------------
Depending Files:
		scripts/suicore.maki
-----------------------------------------------------
---------------------------------------------------*/

#ifndef included
#error This script can only be compiled as a #include
#endif


/** the component switching */

System.onGetCancelComponent(String guid, boolean goingvisible) {
	if (bypasscancel)
	{
		return FALSE;
	}
	if (guid == VIS_GUID && !goingvisible && hiding_vis)
	{
		return FALSE;
	}
	if (guid == VIS_GUID && goingvisible && showing_vis)
	{
		return FALSE;
	}
	if (guid == VIS_GUID && !goingvisible && hiding_vis_full)
	{
		return FALSE;
	}
	if (guid == VIS_GUID && goingvisible && showing_vis_full)
	{
		return FALSE;
	}

	if (!main.isVisible())
	{
		return FALSE;
	}

	if (goingvisible) {
		if (guid == VIS_GUID)
		{
			if (vis_inbig_attrib.getData() == "1") return FALSE;
			if (vis_lefttoplayer_attrib.getData() == "1" && !sui_vis.isVisible())
			{
				sui_vis_wdh.setXmlParam("autoopen", "0");
				callback_showing_vis = 1;
				callback_hiding_vis = 0;
				callbackTimer.onTimer();

				sui_vis_wdh.setXmlParam("autoopen", "1");
				
				return FALSE;
			}
			if (vis_lefttoplayer_full_attrib.getData() == "1" && !sui_vis_full.isVisible())
			{
				sui_vis_full_wdh.setXmlParam("autoopen", "0");
				callback_showing_vis_full = 1;
				callback_hiding_vis_full = 0;
				callbackTimer.onTimer();
				sui_vis_full_wdh.setXmlParam("autoopen", "1");

				return FALSE;
			}
			return FALSE;
		}
	}
	if (!goingvisible) {
		if (guid == VIS_GUID && (sui_vis.isVisible() || sui_vis_full.isVisible())) {
			if (vis_inbig_attrib.getData() == "1") return FALSE;

			if (ic_vis.getdata() == "1")
			{
				ic_fileinfo.setdata("1");
			}

			ic_vis_fileinfo.setData("0");

			return FALSE;
		}
	}

	return FALSE;
}

ic_cover_fileinfo.onDataChanged ()
{
	if (ic_fileinfo.getData() == "0") return;
	if (mychange) return;
	mychange = 1;
	updateFileInfo();
	mychange = 0;
}

ic_fileinfo.onDataChanged ()
{
	if (mychange) return;
	mychange = 1;
	if (getData() == "1")
	{
		updateFileInfo();
	}
	mychange = 0;
}


_plsc_ic_attrib.onDataChanged ()
{
	if (mychange) return;
	mychange = 1;
	if (getData() == "1")
	{
		_Plsc_switchTo();
	}
	mychange = 0;
}

_cflow_ic_attrib.onDataChanged ()
{
	if (mychange) return;
	mychange = 1;
	if (getData() == "1")
	{
		_Cflow_switchTo();
	}
	mychange = 0;
}

ic_vis.onDataChanged ()
{
	if (mychange) return;
	mychange = 1;
	if (getData() == "1")
	{
		ic_vis_fileinfo.setData("0");
		switchToVis_Full();
	}
	mychange = 0;
}

ic_vis_fileinfo.onDataChanged ()
{
	if (ic_fileinfo.getData() == "0") return;
	if (mychange) return;
	mychange = 1;
	updateFileInfo();
	mychange = 0;
}
#ifdef DOHIDEMCV
ic_hidden.onDataChanged ()
{
	if (mychange) return;
	mychange = 1;
	if (getData() == "1")
	{
		hideMCV();
	}
	mychange = 0;
}
#endif
vis_lefttoplayer_attrib.onDataChanged ()
{
	if (mychange) return;
	String window_content =  getPrivateString("Big Bento Modern", "Component", "Media Library");
	int xg = getPrivateInt("Big Bento Modern", "ComponentXgive", 0);
	if (getData() == "1" && (window_content == "Vis" || ic_vis.getData() == "1" || xg))
	{
		if (xg) setPrivateInt("Big Bento Modern", "ComponentXgive", 0);
		ic_vis_fileinfo.setData("1");
		ic_fileinfo.setData("0");
	}
	else if (getData() == "0" && sui_vis.isVisible() && vis_lefttoplayer_full_attrib.getData() != "1")
	{
		setPrivateInt("Big Bento Modern", "ComponentXgive", 1);
		ic_vis_fileinfo.setData("0");
	}
}

vis_lefttoplayer_full_attrib.onDataChanged ()
{
	if (mychange) return;
	String window_content =  getPrivateString("Big Bento Modern", "Component", "Media Library");
	int xg = getPrivateInt("Big Bento Modern", "ComponentXgive", 0);
	if (getData() == "1" && (window_content == "Vis" || ic_vis_fileinfo.getData() == "1" || xg))
	{
		if (xg) setPrivateInt("Big Bento Modern", "ComponentXgive", 0);
		switchToVis_Full();
	}
	else if (getData() == "0" && sui_vis_full.isVisible() && vis_lefttoplayer_attrib.getData() != "1")
	{
		setPrivateInt("Big Bento Modern", "ComponentXgive", 1);
		updateFileInfo();
	}
}
