/*---------------------------------------------------
-----------------------------------------------------
Filename:	load_handles.m
Version:	1.0

Type:		maki
Date:		28. Dez. 2006 - 08:40 
Author:		Martin Poehlmann aka Deimos
E-Mail:		martin@skinconsortium.com
Internet:	www.skinconsortium.com
		www.martin.deimos.de.vu
-----------------------------------------------------
Depending Files:
		scripts/infocompcore.maki
-----------------------------------------------------
---------------------------------------------------*/

#ifndef included
#error This script can only be compiled as a #include
#endif

System.onScriptLoaded ()
{
	initAttribs_windowpage();
	initAttribs_vis();
	initAttribs_Appearance();

	sg = getScriptGroup();
	main = sg.getParentLayout();
  
  mainframe = main.getObject("player.mainframe.big");
	dualwnd = mainframe.findObject("player.dualwnd");

	sui_cover = sg.findObject("info.component.cover");
	l_albumart = sui_cover.findObject("winamp.albumart");
	sui_vis = sg.findObject("info.component.vis");
	sui_vis_full = sg.findObject("info.component.vis.full");
	sui_vis_full_buttons = sui_vis_full.findObject("vis.full.buttons");
	sui_vis_wdh = sui_vis.getObject("vis");
	sui_vis_full_wdh = sui_vis_full.getObject("vis");
	sui_fi = sg.findObject("info.component.infodisplay");
  sui_fisong = sg.findObject("info.component.songinfodisplay");	
  //sui_fisong_fake = sg.getObject("info.component.songinfodisplay.fake");  
  
  l_branding = sg.findObject("branding");

  Hidecoverbtn = sui_cover.findObject("hide.cover.button01");
  undo_closecov_message = sg.getObject("undo.closecov.message");
  undo_button = undo_closecov_message.getObject("undo.btn");
  
	_plsc_sui = sg.findObject("info.component.plsidecar");
	 		
	//NotesTxt = _plsc_sui.findObject("multitools.note.txt");
	
	
	_cflow_sui = sg.findObject("info.component.coverflow");
	g_footer = sg.findObject("infocomp.background.footer");
	g_visbtns = g_footer.findObject("infocomp.visbuttons");
	//footerGrid = g_footer.findObject("footer.background.grid");

	compChoose = sg.findObject("comp.menu");
	sendToBtn = sg.findObject("sendTo");
	LyricFinder = sg.findObject("lyricfinder");
	SearchVideo = sg.findObject("searchvideo");

	info_component_albumbg = sg.findObject("info.component.albumbg");
	info_component_albumbg_container = sg.findObject("info.component.albumbg.container");
	info_component_albumbg_overlay = sg.findObject("info.component.albumbg.overlay");
	info_component_albumbg_overlay_container = sg.findObject("info.component.albumbg.overlay.container");
	bg_songinfo = info_component_albumbg_overlay.getObject("bg.songinfo.filler");	
	//InfoComponentSonginfodisplayFake = sg.getObject("info.component.songinfodisplay.fake");

#ifdef DOHIDEMCV
  last_menu_sel = getPrivateInt("Big Bento Modern", "MCV last sel", 1);
#endif

	callbackTimer = new Timer;
	callbackTimer.setDelay(1);
	tempDisable = new Timer;
	tempDisable.setDelay(50);
	
	undo_autoclose = new Timer;
	undo_autoclose.setDelay(5000);


	if (ic_fileinfo.getData() == "1")
	{
		updateFileInfo ();
	}
	else if (ic_vis.getData() == "1")
	{
		switchToVis_Full();
	}
	else if (_plsc_ic_attrib.getData() == "1")
	{
		_plsc_switchTo();
	}
	else if (_cflow_ic_attrib.getData() == "1")
	{
		_cflow_switchTo();
	}
#ifdef DOHIDEMCV
	else if (ic_hidden.getData() == "1")
	{
		hideMCV();
	}
#endif
	startup_done = 1;
	prevent_vis = 0;
}

updateFileInfo ()
{
	if (ic_vis_fileinfo.getData() == "1" && ic_cover_fileinfo.getData() == "1")
	{
		switchToVisCover();
	}
	else if (ic_vis_fileinfo.getData() == "1")
	{
		switchToVis();
	}
	else if (ic_cover_fileinfo.getData() == "1")
	{
		switchToCover();
	}
	else
	{
		switchToIcOnly();
	}
}

System.onScriptUnloading ()
{
	delete callbackTimer;
	delete tempDisable;
	
  undo_autoclose.stop();
	delete undo_autoclose;
}