/* Script by Victhor losely based on Leechbite cdcover script from Kameleon */


#include "std.mi"
#include "lib/com/songinfo.m"
#include "attribs/init_appearance.m"


Global Group scriptGroup;
Global AlbumArtLayer albumart2round;
Global layer top, bottom, topright, bottomright;
function RoundedCornersAA();


System.onScriptLoaded ()
{
  initAttribs_Appearance();
  
	scriptGroup = getScriptGroup();
	albumart2round = scriptGroup.findObject(getToken(getParam(), ",", 0));
	top = scriptGroup.findObject("top");
	topright = scriptGroup.findObject("topright");
	bottom = scriptGroup.findObject("bottom");
	bottomright = scriptGroup.findObject("bottomright");

  if (rounded_attrib.getData() == "1")
  {
    if (albumart2round.isInvalid())
    {
      top.hide(); bottom.hide(); topright.hide(); bottomright.hide();
    }
    else {
      top.show(); bottom.show(); topright.show(); bottomright.show();
      RoundedCornersAA();
    }
  }
  else { top.hide(); bottom.hide(); topright.hide(); bottomright.hide(); }
}

System.onTitleChange (String newtitle)
{
  if (rounded_attrib.getData() == "1")
  {
    if (albumart2round.isInvalid() || songinfo_streamAlbumArt != "")
    {
    top.hide(); bottom.hide(); topright.hide(); bottomright.hide();
    }
    else {
    top.show(); bottom.show(); topright.show(); bottomright.show();
    RoundedCornersAA();
    }
  }
  else { top.hide(); bottom.hide(); topright.hide(); bottomright.hide(); }
}

albumart2round.onAlbumArtLoaded(boolean success)
{
  if (rounded_attrib.getData() == "1")
  {
    if (albumart2round.isInvalid())
    {
    top.hide(); bottom.hide(); topright.hide(); bottomright.hide();
    }
    else {
    top.show(); bottom.show(); topright.show(); bottomright.show();
    RoundedCornersAA();
    }
  }
  else { top.hide(); bottom.hide(); topright.hide(); bottomright.hide(); }
}

albumart2round.onResize(int x, int y, int w, int h)
{
  if (rounded_attrib.getData() == "1")
  {
    if (albumart2round.isInvalid()) //I know it's stupid to repeat code so much, it just doesn't work as reliable if put in RoundedCornersAA() function
    {
    top.hide(); bottom.hide(); topright.hide(); bottomright.hide();
    }
    else {
    top.show(); bottom.show(); topright.show(); bottomright.show();
    RoundedCornersAA();
    }
  }
  else { top.hide(); bottom.hide(); topright.hide(); bottomright.hide(); }
}


RoundedCornersAA() {
	float aspectRatio = 1;
	int albumart2roundwidth = albumart2round.getAutoWidth();
	int albumart2roundheight = albumart2round.getAutoHeight();

	if (albumart2roundheight != 0) aspectRatio = albumart2roundwidth / albumart2roundheight;
	if (aspectRatio <= 0) aspectRatio = 1;

	
	int imgw = w, imgh = h;
	
	if (imgw == albumart2round.getAutoWidth()) imgw = imgw + 2; // weird bug (Leechbite note)
	
	if (imgw>w) { imgw = w; imgh = w/aspectRatio; }
	if (imgh>h) { imgh = h; imgw = h*aspectRatio; }

	int sizew = imgw;
	int sizeh = sizew/aspectRatio;
	
	if (sizeh > h) {
		sizeh = imgh;
		sizew = sizeh*aspectRatio;
	}
	
	int nx = (w-sizew)/2;
	int ny = (h-sizeh)/2;
	
	string strSizew = integerToString(sizew);
	string strSizeh = integerToString(sizeh);
	string strnx = integerToString(nx);
	string strny = integerToString(ny);
	
  top.setXMLParam("y", strny);
  top.setXMLParam("x", strnx);
  bottom.setXMLParam("y", integerToString(ny+sizeh-11)); // this 11 and next ones are the layer height / width
  bottom.setXMLParam("x", strnx);
  topright.setXMLParam("y", strny);
  topright.setXMLParam("x", integerToString(nx+sizew-11));
  bottomright.setXMLParam("y", integerToString(ny+sizeh-11));
  bottomright.setXMLParam("x", integerToString(nx+sizew-11));
}


rounded_attrib.onDataChanged()
{
  if (getData() == "1")
  {
    if (albumart2round.isInvalid())
    {
      top.hide(); bottom.hide(); topright.hide(); bottomright.hide();
    }
    else {
      top.show(); bottom.show(); topright.show(); bottomright.show();
      RoundedCornersAA();
    }
  }
  else { top.hide(); bottom.hide(); topright.hide(); bottomright.hide(); }
}