/*---------------------------------------------------
-----------------------------------------------------
Version:	1.2

Author:		Victhor
E-Mail:		vbrocaz@gmail.com
Internet:	victhor.deviantart.com
-----------------------------------------------------
---------------------------------------------------*/

#include "std.mi"
#include "attribs/init_appearance.m"

Global ToggleButton tabs_switch, tabs_switch_open;
//Global Button show_sui_tabsBg;
Global Button show_sui_tabs; // v1.2

Global group sui_content_frame, sui_tabs, sui_components;
Global int going_open;
Function CheckTabState();


System.onScriptLoaded ()
{
	initAttribs_Appearance();
	
	group ScriptGroup = getScriptGroup();
	sui_content_frame = ScriptGroup.findObject("sui.content.frame");
	sui_tabs = sui_content_frame.findObject("sui.tabs");
	sui_components = sui_content_frame.findObject("sui.components");
	

  tabs_switch = ScriptGroup.findObject("tabs.switch");
  tabs_switch_open = ScriptGroup.findObject("tabs.goingopen.switch");
	//show_sui_tabsBg = ScriptGroup.findObject("show.sui.tabs.bg");
	show_sui_tabs = ScriptGroup.findObject("show.sui.tabs"); // v1.2

  going_open = getPrivateInt("Big Bento Modern", "going_open", going_open);

  if (getPrivateInt("Big Bento Modern", "going_open", going_open) == 1) { tabs_switch.hide(); tabs_switch_open.show(); }
  else if (getPrivateInt("Big Bento Modern", "going_open", going_open) == 0) { tabs_switch_open.hide(); tabs_switch.show(); }


  CheckTabState();
  
}


CheckTabState() {    
  if (tabs_hide_attrib.getData() == "1" && tabs_icons_attrib.getData() == "0" && tabs_text_attrib.getData() == "0") {
    sui_tabs.setXmlParam("w", "0");
    sui_tabs.sendAction("set_w", "", 0, 0 , 0, 0);
    sui_components.setXmlParam("x", "12");
    sui_components.sendAction("set_x", "", 12, 0 , 0, 0);
    sui_components.setXmlParam("w", "-12");
    sui_components.sendAction("set_w", "", -12, 0 , 0, 0);

    tabs_switch.hide();
    tabs_switch_open.show();
    
    tabs_switch_open.setXmlParam("x", "0");
    tabs_switch_open.sendAction("set_x", "", 0, 0 , 0, 0);
    tabs_switch_open.setXmlParam("tooltip", "Show Tab's Icons"); // v1.2
    tabs_switch_open.sendAction("set_tooltip", "Show Tab's Icons", 0, 0 , 0, 0); // v1.2
    tabs_switch_open.setXmlParam("image", "v.divider.suiframe.n"); // v1.1
    tabs_switch_open.setXmlParam("hoverimage", "v.divider.suiframe.h"); // v1.1
    tabs_switch_open.setXmlParam("downimage", "v.divider.suiframe.d"); // v1.1
    
    show_sui_tabs.setXmlParam("w", "0"); // v1.2
    show_sui_tabs.sendAction("set_w", "", 0, 0 , 0, 0); // v1.2
    show_sui_tabs.setXmlParam("hoverimage", "invisible"); // v1.2
    show_sui_tabs.setXmlParam("downimage", "invisible"); // v1.2
  }
  else if (tabs_hide_attrib.getData() == "0" && tabs_icons_attrib.getData() == "1" && tabs_text_attrib.getData() == "0")
  {
    tabs_switch.setXmlParam("x", "45");
    tabs_switch.sendAction("set_x", "", 45, 0 , 0, 0);
    tabs_switch.setXmlParam("tooltip", "Hide Tab's Icons");	 // v1.2
    tabs_switch.sendAction("set_tooltip", "Hide Tab's Icons", 0, 0 , 0, 0); // v1.2
    tabs_switch.setXmlParam("image", "v.divider.suiframe.close.n"); // v1.1
    tabs_switch.setXmlParam("hoverimage", "v.divider.suiframe.close.h"); // v1.1
    tabs_switch.setXmlParam("downimage", "v.divider.suiframe.close.d"); // v1.1

// v1.2
    tabs_switch_open.setXmlParam("x", "45");
    tabs_switch_open.sendAction("set_x", "", 45, 0 , 0, 0);
    tabs_switch_open.setXmlParam("tooltip", "Show Tab's Text");	
    tabs_switch_open.sendAction("set_tooltip", "Show Tab's Text", 0, 0 , 0, 0);
    tabs_switch_open.setXmlParam("image", "v.divider.suiframe.n");
    tabs_switch_open.setXmlParam("hoverimage", "v.divider.suiframe.h");
    tabs_switch_open.setXmlParam("downimage", "v.divider.suiframe.d");
// v1.2
 
    sui_tabs.setXmlParam("w", "40");
    sui_tabs.sendAction("set_w", "", 40, 0 , 0, 0);
    
    
    
    sui_components.setXmlParam("x", "57");
    sui_components.sendAction("set_x", "", 57, 0 , 0, 0);
    sui_components.setXmlParam("w", "-57");
    sui_components.sendAction("set_w", "", -57, 0 , 0, 0);

    show_sui_tabs.setXmlParam("w", "40"); // v1.2
    show_sui_tabs.sendAction("set_w", "", 40, 0 , 0, 0); // v1.2
    show_sui_tabs.setXmlParam("hoverimage", "show.sui.tabs.n"); // v1.2
    show_sui_tabs.setXmlParam("downimage", "show.sui.tabs.h.d"); // v1.2
  }
  else if (tabs_hide_attrib.getData() == "0" && tabs_icons_attrib.getData() == "0" && tabs_text_attrib.getData() == "1") {
    tabs_switch.show();
    tabs_switch_open.hide();
    
    
    if (System.getLanguageId() == "en-US" || System.getLanguageId() == "en-GB" || System.getLanguageId() == "" /* WACUP temporary fix*/)
    {
      tabs_switch.setXmlParam("x", "179");
      tabs_switch.sendAction("set_x", "", 179, 0 , 0, 0);
      
      sui_tabs.setXmlParam("w", "176");
      sui_tabs.sendAction("set_w", "", 176, 0 , 0, 0);
      
      
      
      sui_components.setXmlParam("x", "193");
      sui_components.sendAction("set_x", "", 193, 0 , 0, 0);
      sui_components.setXmlParam("w", "-193");
      sui_components.sendAction("set_w", "", -193, 0 , 0, 0);

      show_sui_tabs.setXmlParam("w", "176");
      show_sui_tabs.sendAction("set_w", "", 176, 0 , 0, 0);
      show_sui_tabs.setXmlParam("hoverimage", "show.sui.tabs.n.short"); // v1.2
      show_sui_tabs.setXmlParam("downimage", "show.sui.tabs.h.d.short"); // v1.2
    }
    else if (System.getLanguageId() != "en-US" && System.getLanguageId() != "en-GB") //v1.2 "||" changed for "&&"
    {
      tabs_switch.setXmlParam("x", "262");
      tabs_switch.sendAction("set_x", "", 262, 0 , 0, 0);
      
      sui_tabs.setXmlParam("w", "260");
      sui_tabs.sendAction("set_w", "", 260, 0 , 0, 0);
      
      
      
      sui_components.setXmlParam("x", "277");
      sui_components.sendAction("set_x", "", 277, 0 , 0, 0);
      sui_components.setXmlParam("w", "-277");
      sui_components.sendAction("set_w", "", -277, 0 , 0, 0);
      show_sui_tabs.setXmlParam("w", "258");
      show_sui_tabs.sendAction("set_w", "", 258, 0 , 0, 0);
      show_sui_tabs.setXmlParam("hoverimage", "show.sui.tabs.n.long"); // v1.2
      show_sui_tabs.setXmlParam("downimage", "show.sui.tabs.h.d.long"); // v1.2
    }
    
  tabs_switch.setXmlParam("tooltip", "Hide Tab's Text"); // v1.2
  tabs_switch.sendAction("set_tooltip", "Hide Tab's Text", 0, 0 , 0, 0); // v1.2
  tabs_switch.setXmlParam("image", "v.divider.suiframe.close.n"); // v1.1
  tabs_switch.setXmlParam("hoverimage", "v.divider.suiframe.close.h"); // v1.1
  tabs_switch.setXmlParam("downimage", "v.divider.suiframe.close.d"); // v1.1
  }
}

tabs_icons_attrib.onDataChanged() {
  CheckTabState();
}


// v1.2 not sure why it needs this one repeated but not "tabs_text_attrib.onDataChanged"

tabs_hide_attrib.onDataChanged() {
  CheckTabState();
}


//v1.2 from here

tabs_switch.onLeftClick()
{
  if (tabs_hide_attrib.getData() == "0" && tabs_icons_attrib.getData() == "0" && tabs_text_attrib.getData() == "1")
  {
    tabs_icons_attrib.setData("1");
  }
  else if (tabs_hide_attrib.getData() == "0" && tabs_icons_attrib.getData() == "1" && tabs_text_attrib.getData() == "0")
  {
    tabs_hide_attrib.setData("1");
    setPrivateInt("Big Bento Modern", "going_open", 1);
  }
}

tabs_switch_open.onLeftClick()
{
  if (tabs_hide_attrib.getData() == "1" && tabs_icons_attrib.getData() == "0" && tabs_text_attrib.getData() == "0")
  {
    tabs_icons_attrib.setData("1");
  }
  else if (tabs_hide_attrib.getData() == "0" && tabs_icons_attrib.getData() == "1" && tabs_text_attrib.getData() == "0")
  {
    tabs_text_attrib.setData("1");
    setPrivateInt("Big Bento Modern", "going_open", 0);
  }
}



tabs_switch_open.onRightButtonUp(int x, int y) // Inverted function
{
  if (tabs_hide_attrib.getData() == "0" && tabs_icons_attrib.getData() == "0" && tabs_text_attrib.getData() == "1")
  {
    tabs_icons_attrib.setData("1");
    complete; // Kill RC menu
  }
  else if (tabs_hide_attrib.getData() == "0" && tabs_icons_attrib.getData() == "1" && tabs_text_attrib.getData() == "0")
  {
    tabs_hide_attrib.setData("1");
    setPrivateInt("Big Bento Modern", "going_open", 1);
    complete;
  }
}

tabs_switch.onRightButtonUp(int x, int y) // Inverted function
{
  if (tabs_hide_attrib.getData() == "1" && tabs_icons_attrib.getData() == "0" && tabs_text_attrib.getData() == "0")
  {
    tabs_icons_attrib.setData("1");
    complete;
  }
  else if (tabs_hide_attrib.getData() == "0" && tabs_icons_attrib.getData() == "1" && tabs_text_attrib.getData() == "0")
  {
    tabs_text_attrib.setData("1");
    setPrivateInt("Big Bento Modern", "going_open", 0);
    complete;
  }
}