/*---------------------------------------------------
Author:		Victhor
---------------------------------------------------*/

#include "std.mi"
//#include "lib/application.mi"

Global Group scriptGroup, AboutTextEng, AboutTextEsp;
Global Button PayPal;


System.onScriptLoaded ()
{
	
	scriptGroup = getScriptGroup();
	
	AboutTextEng = scriptGroup.getObject("about.text.eng");
	AboutTextEsp = scriptGroup.getObject("about.text.esp");

  PayPal = scriptGroup.getObject("paypal");



	if (System.getLanguageId() == "es-US") // Vic note: Capitalization is important here.
	{
    AboutTextEsp.show();
    AboutTextEng.hide();
    
    PayPal.setXmlParam("tooltip", "Donar. Cualquier monto sirve!");
	}
	else if (System.getLanguageId() == "en-US" || System.getLanguageId() == "en-GB") // Vic note: Capitalization is important here.
	{
    AboutTextEng.show();
    AboutTextEsp.hide();
    PayPal.setXmlParam("tooltip", "Donate now. Any amount will do!");
	}
	else if (System.getLanguageId() != "en-US" || System.getLanguageId() != "es-US") // Vic note: Capitalization is important here.
	{
    AboutTextEng.show();
    AboutTextEsp.hide();
    
    PayPal.setXmlParam("tooltip", "Donate now. Any amount will do!");
	} 
}


Paypal.onLeftClick ()
{
	System.navigateUrl("https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=H2NNRMPGKKVDA");
}