/*---------------------------------------------------
-----------------------------------------------------
Filename:	albumart.m
Version:	1.1

Type:		maki
Date:		20. Sep. 2007 - 16:54 
Author:		Martin Poehlmann aka Deimos
E-Mail:		martin@skinconsortium.com
Internet:	www.skinconsortium.com
		www.martin.deimos.de.vu
-----------------------------------------------------
---------------------------------------------------*/

#include "std.mi"
#include "lib/com/songinfo.m"
#include "attribs/init_browser.m"


Function loadFileInfo();
Global Int plArtRetries = 0;
Global Group scriptGroup, parent;
Global Frame parenttop;
Global AlbumArtLayer l_albumart;
Global BUtton Hidecoverbtn;
Global String notfoundImage, StreamImage;
Global timer CloseCoverBtnTimer;


System.onScriptLoaded ()
{
	initAttribs_browser();
     	
	scriptGroup = getScriptGroup();
	l_albumart = scriptGroup.findObject(getToken(getParam(), ",", 0));
	Hidecoverbtn = scriptGroup.findObject("close.cover.button");
	notfoundImage = getToken(getParam(), ",", 1);
	StreamImage = getToken(getParam(), ",", 2);

	CloseCoverBtnTimer = new Timer;
	CloseCoverBtnTimer.setDelay(500);
	
	if (scriptGroup.isVisible() == 1) loadFileInfo();
}

System.onScriptUnloading()
{
	delete CloseCoverBtnTimer;
}

l_albumart.onRightButtonDown (int x, int y)
{
	popupmenu p = new popupmenu;

  if (songinfo_isStream == 0) p.addCommand("Refresh Album Art", 1, 0, 0);
	String path = getPath(getPlayItemMetaDataString("filename"));
	if(path != "")
	{
		p.addCommand("Open Folder", 2, 0, 0);
	}
	//if (songinfo_isStream == 0) p.addSeparator();
  if (songinfo_isStream == 0 && search_google_attrib.getdata() == "1") p.addCommand("Search Album art (Google)", 3, 0, 0);
  if (songinfo_isStream == 0 && search_bing_attrib.getdata() == "1") p.addCommand("Search Album art (Bing)", 5, 0, 0);
  //if (songinfo_isStream == 0) p.addSeparator();
  if (search_google_attrib.getdata() == "1") p.addCommand("Search Lyrics (Google)", 4, 0, 0);
  if (search_bing_attrib.getdata() == "1") p.addCommand("Search Lyrics (Bing)", 6, 0, 0);  
  //if (songinfo_isStream == 1) p.addSeparator();  
  if (songinfo_isStream == 1) p.addCommand("Open Station / Stream Homepage", 7, 0, 0);

	int result = p.popatmouse();
	//int result = p.popAtXY(getMousePosX()-12, getMousePosY()+15);
	delete p;

	if (result == 1)
	{
		l_albumart.refresh();
	}
	else if (result == 2)
	{
	
	System.navigateUrl(getPath(getPlayItemMetaDataString("filename")));
	
	}
	
		else if (result == 3) // Google
	{
      String sartist = getPlayItemMetaDataString("artist");
      String salbum = getPlayItemMetaDataString("album");
      
		  if (use_browser_attrib.getdata() == "1")
      {
  	
      System.navigateUrl("https://www.google.com/search?tbm=isch&q="+ urlEncode(sartist) + " " + urlEncode(salbum) + " " + "cover");
      }
      
      if (use_reader_attrib.getdata() == "1")
      {
        String coversearch = ("https://www.google.com/search?tbm=isch&q="+ urlEncode(sartist) + " " + urlEncode(salbum) + " " + "cover");
        
        if (ScriptGroup.getParentLayout().getID() == "shade") { getContainer("main").switchToLayout("normal"); }
        
        group sui = getContainer("main").getLayout("normal").findObject("sui.content");
        
        sui.sendAction ("browser_navigate", coversearch, 0, 0, 0, 0);
      }

	}
	
			else if (result == 4) // Google
	{
      String sartist = getPlayItemMetaDataString("artist");
      String stitle = getPlayItemMetaDataString("title");
	
      if (use_browser_attrib.getdata() == "1")
      {
  	
        System.navigateUrl("https://www.google.com/search?q="+ urlEncode(sartist) + " " + urlEncode(stitle) + " " + "lyrics");
      }
      
      if (use_reader_attrib.getdata() == "1")
      {
        String lyricsearch = (urlEncode(sartist) + " " + urlEncode(stitle) + " " + "lyrics");
        
        getContainer("main").switchToLayout("normal");         
        group sui = getContainer("main").getLayout("normal").findObject("sui.content");
          
        sui.sendAction ("browser_search", lyricsearch, 0, 0, 0, 0);
          
          
        if (songinfo_isStream)
        {          
          String stitlestream = (songinfo_streamtitle);
          
          String lyricsearch = (urlEncode(stitlestream) + " " + "lyrics");
          
          if (ScriptGroup.getParentLayout().getID() == "shade") { getContainer("main").switchToLayout("normal"); }
          group sui = getContainer("main").getLayout("normal").findObject("sui.content");
          
          sui.sendAction ("browser_search", lyricsearch, 0, 0, 0, 0);
        }
      }

	}

      		else if (result == 5) // Bing
    {
      String sartist = getPlayItemMetaDataString("artist");
      String salbum = getPlayItemMetaDataString("album");
  
		  if (use_browser_attrib.getdata() == "1")
      {
        System.navigateUrl("www.bing.com/?scope=images&FORM=Z9LH1&q="+ urlEncode(sartist) + " " + urlEncode(salbum) + " " + "cover");
      }
      
      if (use_reader_attrib.getdata() == "1")
      {
        String coversearch = ("www.bing.com/?scope=images&FORM=Z9LH1&q=" + urlEncode(sartist) + " " + urlEncode(salbum) + " " + "cover");
        
        if (ScriptGroup.getParentLayout().getID() == "shade") { getContainer("main").switchToLayout("normal"); }
          
        group sui = getContainer("main").getLayout("normal").findObject("sui.content");
        sui.sendAction ("browser_navigate", coversearch, 0, 0, 0, 0);
      }
      
	}
	
				else if (result == 6) // Bing
      {
      String sartist = getPlayItemMetaDataString("artist");
      String stitle = getPlayItemMetaDataString("title");
          
        if (use_browser_attrib.getdata() == "1")
        {
          System.navigateUrl("www.bing.com/search?q="+ urlEncode(sartist) + " " + urlEncode(stitle) + " " + "lyrics");
        }

        if (use_reader_attrib.getdata() == "1")
        {
          String lyricsearch = (urlEncode(sartist) + " " + urlEncode(stitle) + " " + "lyrics");
          
          if (ScriptGroup.getParentLayout().getID() == "shade") { getContainer("main").switchToLayout("normal"); }
          group sui = getContainer("main").getLayout("normal").findObject("sui.content");
            
          sui.sendAction ("browser_search", lyricsearch, 0, 0, 0, 0);
            
            
          if (songinfo_isStream)
          {          
            String stitlestream = (songinfo_streamtitle);
            
            String lyricsearch = (urlEncode(stitlestream) + " " + "lyrics");
            getContainer("main").switchToLayout("normal");          
            group sui = getContainer("main").getLayout("normal").findObject("sui.content");
            
            sui.sendAction ("browser_search", lyricsearch, 0, 0, 0, 0);
          }
        }
      }

    else if (result == 7) // Station URL
    {
	
      if (use_browser_attrib.getdata() == "1")
      {
      String nav = getPlayItemMetaDataString("streamurl");
      System.navigateUrl(nav);
      }
      if (use_reader_attrib.getdata() == "1")
      {
      String nav = getPlayItemMetaDataString("streamurl");
      
      group sui = getContainer("main").getLayout("normal").findObject("sui.content");
    
      sui.sendAction ("browser_navigate", nav, 0, 0, 0, 0);
      }
    }
  
}

l_albumart.onLeftButtonDblClk (int x, int y)
{
	songinfo_reload();
	  
  String isstreamv = getPlayItemMetaDataString("streamtype");
  
  if (songinfo_isStream == 0)
  {
  System.navigateUrl(getPath(getPlayItemMetaDataString("filename")));
  }
  else if (isstreamv != "")
  {
      if (use_browser_attrib.getdata() == "1")
      {
      String nav = getPlayItemMetaDataString("streamurl");
      System.navigateUrl(nav);
      }
      
      if (use_reader_attrib.getdata() == "1")
      {
      String nav = getPlayItemMetaDataString("streamurl");
      
      group sui = getContainer("main").getLayout("normal").findObject("sui.content");
      sui.sendAction ("browser_navigate", nav, 0, 0, 0, 0);
      }  
  }

}


loadFileInfo ()
{
	songinfo_reload(); // refresh vars
	plArtRetries = 0;
	l_albumart.setXMLParam("notfoundImage", notfoundImage);

	//debugInt(songinfo_isStream);
	if (songinfo_isStream)
	{
		// setCover either from a supplied url or from in-stream artwork or default to a generic image
		if (songinfo_streamAlbumArt != "")
		{
			l_albumart.setXMLParam("image", songinfo_streamAlbumArt);
			l_albumart.setXMLParam("notfoundImage", notfoundImage);
		}

		if(songinfo_streamType == SONGINFO_STREAMTYPE_SHOUTCAST || songinfo_streamType == SONGINFO_STREAMTYPE_SHOUTCAST2)
		{
			if(songinfo_streamType == SONGINFO_STREAMTYPE_SHOUTCAST2)
			{
				if(l_albumart.isInvalid() && plArtRetries < 5)
				{
					if(!plArtRetries)
					{
						l_albumart.setXMLParam("notfoundImage", StreamImage);
					}
					plArtRetries += 1;
					l_albumart.refresh();
				}
			}
			else
			{
				l_albumart.setXMLParam("notfoundImage", StreamImage);
			}
		}
	}
}

// Hide branding of we start playback
System.onPlay ()
{
	loadFileInfo();
}

System.onTitleChange (String newtitle)
{
	loadFileInfo();
}



l_albumart.refresh(){

	//DEBUGSTRING("456",9);
	// ---------- Stream info ----------
	String stype = getPlayItemMetaDataString("streamtype"); //"streamtype" will return "2" for SHOUTcast and "3" for AOL Radio
	//DEBUGSTRING(stype,9);
	
	if(strlower(getExtension(getPlayItemString()))=="nsv" && strleft(getPlayItemString(), 7) == "http://" && stype =="") stype = "sc_tv";

	if (stype == "2" || stype == "5"){
		l_albumart.setXmlParam("notfoundimage","winamp.cover.shoutcast");
	}
	else if (stype == "3"){
		l_albumart.setXmlParam("notfoundimage", "winamp.cover.shoutcast");
	}

	else{
		l_albumart.setXmlParam("notfoundimage","cover.notfound");
	}

	l_albumart.refresh();
}


l_albumart.onEnterArea() // v1.15 from here on
{
	CloseCoverBtnTimer.start();
	
	Hidecoverbtn.show();
	return 1;
}

l_albumart.onLeaveArea()
{
  if (l_albumart.isMouseOverRect())
  {
    Hidecoverbtn.show();
    return 1;
  }
  else
  {
    Hidecoverbtn.hide();
  	return 0;
  }
}


Hidecoverbtn.onLeaveArea()
{
  if (l_albumart.isMouseOverRect())
  {
    return 1;
  }
  else
  {
    Hidecoverbtn.hide();
  	return 0;
  }
}


CloseCoverBtnTimer.onTimer()
{
  if (l_albumart.isMouseOverRect())
  {
    Hidecoverbtn.show();
	}
	else
	{
    Hidecoverbtn.hide();
    CloseCoverBtnTimer.stop();
	}
	
}
  
  
Hidecoverbtn.onLeftClick() /* v1.2 ONLY PL tab close button */
{
  if (l_albumart.getid() == "winamp.albumart3") // If it's that one (identified by the albumart id)
  { 
 	parent = scriptGroup.getParent();
 	parenttop = parent.getParent();
 	parenttop.setPosition(0);
  }
  else {
  complete;
  }
}