/**
 * vscrollbar
 *
 * @author mpdeimos
 * @date 2009/05/01
 */

#include "std.mi"
#include "lib/com/autorepeatbutton.m"

Global AutoRepeatButton up, down;
Global Slider s;
Global Group Scriptgroup;

Global layout normal;


System.onScriptLoaded ()
{
	Scriptgroup = GetScriptgroup();
	normal = Scriptgroup.getParentLayout();
	
	AutoRepeat_Load();
	AutoRepeat_SetInitalDelay(100);
	up = getScriptGroup().getObject("up");
	down = getScriptGroup().getObject("down");
	s = getScriptGroup().getObject("slider");
}

System.onScriptUnloading()
{
	AutoRepeat_Unload();
}

up.onLeftClick ()
{
	if (AutoRepeat_ClickType)
	{
		s.setPosition(s.getPosition()+5);
	}
}

down.onLeftClick ()
{
	if (AutoRepeat_ClickType)
	{
		s.setPosition(s.getPosition()-5);
	}
}

normal.onAction(String action, String param, Int x, int y, int clicked, int lines, GuiObject source) {
  if (action=="CFGSCROLLUP")
  {
    s.setPosition(s.getPosition()+2);
	}
	else if (action=="CFGSCROLLDOWN")
  {
    s.setPosition(s.getPosition()-2);
	}
}