/*---------------------------------------------------
-----------------------------------------------------
Type:		maki
Date:		20. Aug. 2017
Author:		Victhor
E-Mail:		
Web:	victhor.deviantart.com

-----------------------------------------------------
---------------------------------------------------*/

#include "std.mi"
#include "attribs/init_browser.m"
#include "lib/com/songinfo.m"

Global Group scriptGroup, sui_fisong;
Global Button LyricsBtn, VideoFinderBtn;
Global Text t_artist, t_title;


System.onScriptLoaded()
{
	initAttribs_browser();
	
	scriptGroup = getScriptGroup();
	LyricsBtn = scriptGroup.findObject("lyricfinder");
	VideoFinderBtn = scriptGroup.findObject("searchvideo");
  sui_fisong = scriptGroup.getObject("info.component.infodisplay");
  t_artist = sui_fisong.getObject("infodisplay.line.artist");
  t_title = sui_fisong.getObject("infodisplay.line.title");
  
}


LyricsBtn.onLeftClick ()
{
  if (use_browser_attrib.getdata() == "1")
  {
  
    if (System.isVideo())
    {
      string lv_songticker = getPlayItemDisplayTitle(); // Vic note: I use songticker text 'cause it's more likely to find info there (i.e. artist is not a video tag usually)
    
      if (search_google_attrib.getdata() == "1") System.navigateUrl("www.google.com/search?q="+ urlEncode(lv_songticker) + " lyrics");
      else if (search_bing_attrib.getdata() == "1") System.navigateUrl("www.bing.com/search?q="+ urlEncode(lv_songticker) + " lyrics");
      return;
    }
              
      else
      {
        string lv_artist = t_artist.getText();
        string lv_title = t_title.getText();
  
        if (search_google_attrib.getdata() == "1") System.navigateUrl("www.google.com/search?q="+ urlEncode(lv_artist) + " " + urlEncode(lv_title) + " lyrics");
        else if (search_bing_attrib.getdata() == "1") System.navigateUrl("www.bing.com/search?q="+ urlEncode(lv_artist) + " " + urlEncode(lv_title) + " lyrics");
        return;
      }
  }
  
  else if (use_reader_attrib.getdata() == "1")
  {

    if (System.isVideo())
    {
      string lv_songticker = getPlayItemDisplayTitle(); // Vic note: I use songticker text 'cause it's more likely to find info there (i.e. artist is not a video tag usually)
      
      group sui = getContainer("main").getLayout("normal").findObject("sui.content");
  
      sui.sendAction ("browser_search", urlEncode(lv_songticker) + " lyrics", 0, 0, 0, 0);
      return;
    }
              
      else
      {
        string lv_artist = t_artist.getText();
        string lv_title = t_title.getText();
        
        group sui = getContainer("main").getLayout("normal").findObject("sui.content");
    
        sui.sendAction ("browser_search", urlEncode(lv_artist) + " " + urlEncode(lv_title) + " lyrics", 0, 0, 0, 0);
        return;
      }
  }
}


VideoFinderBtn.onLeftClick ()
{
      
  if (use_browser_attrib.getdata() == "1")
  {
    string lv_artist = t_artist.getText();
    string lv_title = t_title.getText();
    string lv_songticker = getPlayItemDisplayTitle();
    
        if (songinfo_isStream)
          {
          System.navigateUrl("https://www.youtube.com/results?search_query="+ urlEncode(lv_artist) + " " + urlEncode(lv_title));
          return;
          }
              
            else if (System.isVideo())
            {
            System.navigateUrl("https://www.youtube.com/results?search_query="+ lv_songticker); // Vic note: I use songticker text 'cause it's more likely to find info there (i.e. artist is not a video tag usually)
            return;
            }
              
              else
              {
              System.navigateUrl("https://www.youtube.com/results?search_query="+ urlEncode(lv_artist) + " " + urlEncode(lv_title));
              return;
              }
  }
  
  if (use_reader_attrib.getdata() == "1")
  {
    string lv_artist = t_artist.getText();
    string lv_title = t_title.getText();
    string lv_songticker = getPlayItemDisplayTitle();
  
    if (System.isVideo())
    {
      string searchv = ("https://www.youtube.com/results?search_query="+ urlEncode(lv_songticker));// Vic note: I use songticker text 'cause it's more likely to find info there (i.e. artist is not a video tag usually)

      group sui = getContainer("main").getLayout("normal").findObject("sui.content");

      sui.sendAction ("browser_navigate", searchv, 0, 0, 0, 0);
      return;
    }
              
      else
      {
        string searchv = ("https://www.youtube.com/results?search_query="+ urlEncode(lv_artist) + " " + urlEncode(lv_title));

        group sui = getContainer("main").getLayout("normal").findObject("sui.content");

        sui.sendAction ("browser_navigate", searchv, 0, 0, 0, 0);
        return;
      }
  }
}