/*---------------------------------------------------
-----------------------------------------------------
Filename:	suicore.m
Version:	4.4

Type:		maki
Date:		02. Sep. 2007 - 17:35 
Author:		Martin Poehlmann aka Deimos
E-Mail:		martin@skinconsortium.com
Internet:	www.skinconsortium.com
		www.martin.deimos.de.vu

Note:		This script is based on drawer.m
		from Winamp Modern, but extended to
		4 components that can be closed!
		Like in drawer.m I warn everybody not 
		to modify this script, cause it can be
		harmed very fast! And you don't want
		a buggy winamp skin, want you?

    (Vic Note: Yeah.. I have a torturous nature..)

		Since script version 3.1.2
		(onesie build #022)
		the script is devided into subscripts
		for better debugging.
-----------------------------------------------------
---------------------------------------------------*/

#include "std.mi"
#include "lib/config.mi"
#include "lib/winampconfig.mi"

#include "attribs/init_windowpage.m"
#include "attribs/init_Autoresize.m"
#include "attribs/init_vis.m"
#include "attribs/init_appearance.m"
#include "attribs/init_playlist.m"

#define ML_GUID "{6B0EDF80-C9A5-11D3-9F26-00C04F39FFC6}"
#define VIS_GUID "{0000000A-000C-0010-FF7B-01014263450C}"
#define VIDEO_GUID "{F0816D7B-FFFC-4343-80F2-E8199AA15CC3}"
#define PL_GUID "{45F3F7C1-A6F3-4EE6-A15E-125E92FC3F8D}"

Function switchToMl();
Function switchToPl();
Function switchToVideo();
Function switchToVis();
Function switchToBrw();
Function switchToEq();
Function switchToCfg();
Function switchToNoComp();
Function switchFromNoComp();

Function hideMl();
Function showMl();
Function hidePl();
Function showPl();
Function hideVis();
Function showVis();
Function showVideo();
Function hideVideo();
Function hideEq();
Function showEq();
Function hideBrw();
Function showBrw();
Function hideCfg();
Function showCfg();

Function onShowMl();
Function onHideMl();
Function onShowPl();
Function onHidePl();
Function onShowVis();
Function onHideVis();
Function onShowVideo();
Function onHideVideo();
Function onshowEq();
Function onhideEq();
Function onShowBrw();
Function onHideBrw();
Function onShowCfg();
Function onHideCfg();
Function onShowSUI();
Function onHideSUI();
Function onBeforeHideSUI();

Function dc_showMl();
Function dc_hideMl();
Function dc_showPl();
Function dc_hidePl();
Function dc_showVis();
Function dc_showVideo();
Function dc_hideVis();
Function dc_hideVideo();
Function dc_showEq();
Function dc_hideEq();
Function dc_showBrw();
Function dc_hideBrw();
Function dc_showCfg();
Function dc_hideCfg();

Function dc_showSUI();
Function dc_closeSUI();

Global GuiObject sui_window;
Global Group sui_components;
Global Group sui_vis, sui_video, sui_ml, sui_pl, sui_brw, sui_eq, sui_cfg;
Global WindowHolder sui_vis_wdh;
Global Button switch_ml, switch_pl, switch_video, switch_vis, switch_eq, switch_brw, switch_cfg, show_sui_tabs, show_sui_tabs_bg;
Global Button hide_sui, show_sui;
Global Boolean bypasscancel;
Global Boolean showing_vis, hiding_vis, showing_video, hiding_video, showing_ml, hiding_ml, showing_pl, hiding_pl;
Global Boolean showing_brw, hiding_brw, showing_eq, hiding_eq, showing_cfg, hiding_cfg;

Global Boolean callback_showing_vis, callback_hiding_vis, callback_showing_video, callback_hiding_video, callback_showing_ml, callback_hiding_ml, callback_showing_pl, callback_hiding_pl;
Global Boolean callback_showing_eq, callback_hiding_eq, callback_showing_brw, callback_hiding_brw, callback_showing_cfg, callback_hiding_cfg;
Global Boolean callback_closing_sui, callback_showing_sui;
Global Layout normal;
Global Container player;
Global Boolean Mychange;
Global Boolean startup;
Global layer normal_resizer, normal_resizer2, normal_resizer3, normal_resizer4, normal_TBresizer, normal_TBresizer2, normal_TBresizer3;

Global string h;

Global Timer callbackTimer, tempDisable/*, firstload*/;

Global button pe_move_top;

//Global Button b_maximize, b_minimize, b_shade;

// init special handles for video
#include suicore/video_handles.m

// script loading/unloading goes here
#include suicore/load_handles.m

// open / hiding components not caused by button clicks
#include suicore/external_handles.m

// showing and hiding the components
#include suicore/show_hide.m


/** Button Clicks */

switch_video.onLeftClick ()
{
	switchToVideo();
}

switch_vis.onLeftClick ()
{
	vis_inbig_attrib.setData("1");
	switchToVis();
}

switch_ml.onLeftClick ()
{
	switchToMl();
}

switch_pl.onLeftClick ()
{
	switchToPl();
}

switch_brw.onLeftClick ()
{
	switchToBrw();
}

switch_eq.onLeftClick ()
{
	switchToEq();
}

switch_cfg.onLeftClick ()
{
	switchToCfg();
}

show_sui.onLeftClick ()
{
	switchFromNoComp();
}

hide_sui.onLeftClick ()
{
	switchToNoComp();
}

/** Calls after comp is shown */

onShowMl()
{
	switch_ml.setActivated(1);
	switch_pl.setActivated(0);
	switch_vis.setActivated(0);
	switch_video.setActivated(0);
	switch_brw.setActivated(0);
	switch_eq.setActivated(0);
	switch_Cfg.setActivated(0);
	switch_ml.setXmlParam("ghost", "1");
	switch_pl.setXmlParam("ghost", "0");
	switch_video.setXmlParam("ghost", "0");
	switch_vis.setXmlParam("ghost", "0");
	switch_brw.setXmlParam("ghost", "0");
	switch_eq.setXmlParam("ghost", "0");	
}
onHideMl() {
}

onShowPl()
{
	switch_ml.setActivated(0);
	switch_pl.setActivated(1);
	switch_vis.setActivated(0);
	switch_video.setActivated(0);
	switch_brw.setActivated(0);
	switch_eq.setActivated(0);
	switch_Cfg.setActivated(0);
	switch_ml.setXmlParam("ghost", "0");
	switch_pl.setXmlParam("ghost", "1");
	switch_video.setXmlParam("ghost", "0");
	switch_vis.setXmlParam("ghost", "0");
	switch_brw.setXmlParam("ghost", "0");
	switch_eq.setXmlParam("ghost", "0");	
}
onHidePl() {
}

onShowVis()
{
	switch_ml.setActivated(0);
	switch_pl.setActivated(0);
	switch_vis.setActivated(1);
	switch_video.setActivated(0);
	switch_brw.setActivated(0);
	switch_eq.setActivated(0);
	switch_Cfg.setActivated(0);
	switch_vis.setXmlParam("ghost", "1");
	switch_video.setXmlParam("ghost", "0");
	switch_ml.setXmlParam("ghost", "0");
	switch_pl.setXmlParam("ghost", "0");
	switch_brw.setXmlParam("ghost", "0");
	switch_eq.setXmlParam("ghost", "0");
}

onHideVis() {
}

onShowVideo()
{
	switch_ml.setActivated(0);
	switch_pl.setActivated(0);
	switch_vis.setActivated(0);
	switch_video.setActivated(1);
	switch_brw.setActivated(0);
	switch_eq.setActivated(0);
	switch_Cfg.setActivated(0);
	switch_video.setXmlParam("ghost", "1");
	switch_vis.setXmlParam("ghost", "0");
	switch_ml.setXmlParam("ghost", "0");
	switch_pl.setXmlParam("ghost", "0");
	switch_brw.setXmlParam("ghost", "0");
}
onHideVideo() {
}

onShowBrw()
{
	switch_ml.setActivated(0);
	switch_pl.setActivated(0);
	switch_vis.setActivated(0);
	switch_video.setActivated(0);
	switch_brw.setActivated(1);
	switch_eq.setActivated(0);
	switch_Cfg.setActivated(0);
	switch_brw.setXmlParam("ghost", "1");
	switch_vis.setXmlParam("ghost", "0");
	switch_ml.setXmlParam("ghost", "0");
	switch_pl.setXmlParam("ghost", "0");
	switch_video.setXmlParam("ghost", "0");
	switch_eq.setXmlParam("ghost", "0");
}
onHideBrw() {
	switch_brw.setXmlParam("ghost", "0");
}

onshowEq()
{
	switch_ml.setActivated(0);
	switch_pl.setActivated(0);
	switch_vis.setActivated(0);
	switch_video.setActivated(0);
	switch_brw.setActivated(0);
	switch_eq.setActivated(1);
	switch_Cfg.setActivated(0);
	switch_eq.setXmlParam("ghost", "1");
	switch_brw.setXmlParam("ghost", "0");
	switch_vis.setXmlParam("ghost", "0");
	switch_ml.setXmlParam("ghost", "0");
	switch_pl.setXmlParam("ghost", "0");
	switch_video.setXmlParam("ghost", "0");
}
onhideEq() {
	switch_eq.setXmlParam("ghost", "0");
}

onShowCfg()
{
	switch_ml.setActivated(0);
	switch_pl.setActivated(0);
	switch_vis.setActivated(0);
	switch_video.setActivated(0);
	switch_brw.setActivated(0);
	switch_eq.setActivated(0);
	switch_Cfg.setActivated(1);
	switch_cfg.setXmlParam("ghost", "1");
	switch_brw.setXmlParam("ghost", "0");
	switch_vis.setXmlParam("ghost", "0");
	switch_ml.setXmlParam("ghost", "0");
	switch_pl.setXmlParam("ghost", "0");
	switch_video.setXmlParam("ghost", "0");
}

onHideCfg()
{
	switch_Cfg.setXmlParam("ghost", "0");
}

onShowSUI ()
{
}

onHideSUI ()
{
	sui_window.sendAction("callback", "onhidesui", 0,0,0,0); // Vic mod: Disabled and re-enabled 'cause it was interfering with NavigateUrl
}

onBeforeHideSUI ()
{
	sui_window.sendAction("callback", "onbeforehidesui", 0,0,0,0);
}

pe_move_top.onLeftClick ()
{
	normal.sendAction("load_comp", "pledit", 0,0,0,0);
}

System.onKeyDown(String key) {
	if (key == "alt+c")
	{
		if (sui_config_attrib.getData() == "0") { sui_config_attrib.setData("1"); switchToCfg(); }
		else sui_config_attrib.setData("0");
		complete;
	}
		if (key == "alt+d")
	{
		if (sui_colorthemes_attrib.getData() == "0") { sui_colorthemes_attrib.setData("1"); switchToCfg(); }
		else sui_colorthemes_attrib.setData("0");
		complete;
	}
	if (key == "alt+g")
	{
		if (sui_eq_attrib.getData() == "0") { sui_eq_attrib.setData("1"); switchToEq(); }
		else sui_eq_attrib.setData("0");
		complete;
	}
}

sui_components.onResize(int x, int y, int w, int h)
{
  if (h < 303 /*&& tabs_show_attrib.getdata() == "1" */&& playlist_tab_attrib.getData() == "0" && System.hasVideoSupport() == "0")
  { show_sui_tabs.show(); /*show_sui_tabs_bg.setAlpha(255); */show_sui_tabs.setXmlParam("ghost", "0"); /*show_sui_tabs_bg.setXmlParam("ghost", "0"); */} // v1.2 disabled
  if (h > 303 /*&& tabs_show_attrib.getdata() == "1" */&& playlist_tab_attrib.getData() == "0" && System.hasVideoSupport() == "0")
  {  show_sui_tabs.hide(); /*show_sui_tabs_bg.setAlpha(0); */show_sui_tabs.setXmlParam("ghost", "1"); /*show_sui_tabs_bg.setXmlParam("ghost", "1"); */} // v1.2 disabled

  if (h < 424 /*&& tabs_show_attrib.getdata() == "1" */&& playlist_tab_attrib.getData() == "1" && System.hasVideoSupport())
  { show_sui_tabs.show(); /*show_sui_tabs_bg.setAlpha(255); */show_sui_tabs.setXmlParam("ghost", "0"); /*show_sui_tabs_bg.setXmlParam("ghost", "0"); */} // v1.2 disabled
  if (h > 424 /*&& tabs_show_attrib.getdata() == "1" */&& playlist_tab_attrib.getData() == "1" && System.hasVideoSupport())
  {  show_sui_tabs.hide(); /*show_sui_tabs_bg.setAlpha(0); */show_sui_tabs.setXmlParam("ghost", "1"); /*show_sui_tabs_bg.setXmlParam("ghost", "1"); */} // v1.2 disabled

  if (h < 363 /*&& tabs_show_attrib.getdata() == "1" */&& playlist_tab_attrib.getData() == "1" && System.hasVideoSupport() == "0")
  { show_sui_tabs.show(); /*show_sui_tabs_bg.setAlpha(255); */show_sui_tabs.setXmlParam("ghost", "0"); /*show_sui_tabs_bg.setXmlParam("ghost", "0"); */} // v1.2 disabled
  if (h > 363 /*&& tabs_show_attrib.getdata() == "1" */&& playlist_tab_attrib.getData() == "1" && System.hasVideoSupport() == "0")
  {  show_sui_tabs.hide(); /*show_sui_tabs_bg.setAlpha(0); */show_sui_tabs.setXmlParam("ghost", "1"); /*show_sui_tabs_bg.setXmlParam("ghost", "1"); */} // v1.2 disabled

  if (h < 363 /*&& tabs_show_attrib.getdata() == "1" */&& playlist_tab_attrib.getData() == "0" && System.hasVideoSupport())
  { show_sui_tabs.show(); /*show_sui_tabs_bg.setAlpha(255); */show_sui_tabs.setXmlParam("ghost", "0"); /*show_sui_tabs_bg.setXmlParam("ghost", "0"); */} // v1.2 disabled
  if (h > 363 /*&& tabs_show_attrib.getdata() == "1" */&& playlist_tab_attrib.getData() == "0" && System.hasVideoSupport())
  {  show_sui_tabs.hide(); /*show_sui_tabs_bg.setAlpha(0); */show_sui_tabs.setXmlParam("ghost", "1"); /*show_sui_tabs_bg.setXmlParam("ghost", "1"); */} // v1.2 disabled
}

show_sui_tabs.onLeftClick()
{
  if (playlist_tab_attrib.getData() == "0" || System.hasVideoSupport() == "0") { normal.setXmlParam("h", "648"); } // v1.1 fix
  if (playlist_tab_attrib.getData() == "0" && System.hasVideoSupport() == "0") { normal.setXmlParam("h", "588"); } // v1.1 fix
  if (playlist_tab_attrib.getData() == "1" && System.hasVideoSupport()) {  normal.setXmlParam("h", "714"); } // v1.1 fix
}

 
/*show_sui_tabs_bg.onLeftClick()
{
  show_sui_tabs.onLeftClick();
}*/


// v1.2 disabled
/*tabs_show_attrib.onDataChanged() {
	if (getData() == "0")
	{
    show_sui_tabs.hide();
    //show_sui_tabs.setXmlParam("ghost", "1");
    show_sui_tabs_bg.hide();
    //show_sui_tabs_bg.setXmlParam("ghost", "1");
	}
	else if (getData() == "1")
	{
    show_sui_tabs.show();
    //show_sui_tabs.setXmlParam("ghost", "0");
    show_sui_tabs_bg.show();
    //show_sui_tabs_bg.setXmlParam("ghost", "0");

  
    if (sui_components.getHeight() >= 303 && playlist_tab_attrib.getData() == "0" && System.hasVideoSupport() == "0") // v1.1 fix
    { show_sui_tabs.show(); show_sui_tabs_bg.setAlpha(255); show_sui_tabs.setXmlParam("ghost", "0"); show_sui_tabs_bg.setXmlParam("ghost", "0"); } // v1.1 fix
    if (sui_components.getHeight() >= 303 && playlist_tab_attrib.getData() == "0" && System.hasVideoSupport() == "0") // v1.1 fix
    {
      show_sui_tabs.setTargetA(0);
      show_sui_tabs.setTargetSpeed(0.9);
      show_sui_tabs.gotoTarget();
    
      show_sui_tabs_bg.setAlpha(0); show_sui_tabs.setXmlParam("ghost", "1"); show_sui_tabs_bg.setXmlParam("ghost", "1");
    }
  
    if (sui_components.getHeight() >= 424 && playlist_tab_attrib.getData() == "1" && System.hasVideoSupport()) // v1.1 fix
    { show_sui_tabs.show(); show_sui_tabs_bg.setAlpha(255); show_sui_tabs.setXmlParam("ghost", "0"); show_sui_tabs_bg.setXmlParam("ghost", "0"); } // v1.1 fix
    if (sui_components.getHeight() >= 424 && playlist_tab_attrib.getData() == "1" && System.hasVideoSupport()) // v1.1 fix
    {
      show_sui_tabs.setTargetA(0);
      show_sui_tabs.setTargetSpeed(0.9);
      show_sui_tabs.gotoTarget();
    
      show_sui_tabs_bg.setAlpha(0); show_sui_tabs.setXmlParam("ghost", "1"); show_sui_tabs_bg.setXmlParam("ghost", "1");
    }
  
    if (sui_components.getHeight() >= 363 && playlist_tab_attrib.getData() == "1" && System.hasVideoSupport() == "0") // v1.1 fix
    { show_sui_tabs.show(); show_sui_tabs_bg.setAlpha(255); show_sui_tabs.setXmlParam("ghost", "0"); show_sui_tabs_bg.setXmlParam("ghost", "0"); } // v1.1 fix
    if (sui_components.getHeight() >= 363 && playlist_tab_attrib.getData() == "1" && System.hasVideoSupport() == "0") // v1.1 fix
    { 
      show_sui_tabs.setTargetA(0);
      show_sui_tabs.setTargetSpeed(0.9);
      show_sui_tabs.gotoTarget();
    
      show_sui_tabs_bg.setAlpha(0); show_sui_tabs.setXmlParam("ghost", "1"); show_sui_tabs_bg.setXmlParam("ghost", "1");
    }

    if (sui_components.getHeight() >= 363 && playlist_tab_attrib.getData() == "0" && System.hasVideoSupport()) // v1.1 fix
    { show_sui_tabs.show(); show_sui_tabs_bg.setAlpha(255); show_sui_tabs.setXmlParam("ghost", "0"); show_sui_tabs_bg.setXmlParam("ghost", "0"); } // v1.1 fix
    if (sui_components.getHeight() >= 363 && playlist_tab_attrib.getData() == "0" && System.hasVideoSupport()) // v1.1 fix
    {
      show_sui_tabs.setTargetA(0);
      show_sui_tabs.setTargetSpeed(0.9);
      show_sui_tabs.gotoTarget();
    
      show_sui_tabs_bg.setAlpha(0); show_sui_tabs.setXmlParam("ghost", "1"); show_sui_tabs_bg.setXmlParam("ghost", "1");
    }
	}
}*/