/*---------------------------------------------------
Author:		Victhor
---------------------------------------------------*/

#include "std.mi"
#include "attribs/init_windowpage.m"

Global Layout normal;
Global Group scriptGroup, MenuButtonsGroup, ContentGroup;
Global Group OptionsgroupAppearance, OptionsgroupSongticker, OptionsgroupAutoresize, Optionsgroupnotifier, Optionsgroupvisualization, Optionsgroupmulticontentview;
Global Group Optionsgroupplaylist, Optionsgroupwebcontent, Optionsgroupcthemes, Optionsgrouplocalization, OptionsgroupAboutSkin;
Global ToggleButton AppearanceButton, SongtickerButton, AutoresizeButton, NotifierButton, VisualizationButton, MulticontentviewButton, PlaylistButton;
Global ToggleButton WebcontentButton, CthemesButton, LocalizationButton, AboutSkinButton;
//Global Slider vscroll;
//Global GuiObject Appearancesc, Autoresizesc, notifiersc, multicontentviewsc, webcontentsc, localizationsc, cthemessc, AboutSkinsc;
Global Button ColorthemesListBtn; // v1.2
Global GuiObject Colorthemes; // v1.2
Global Text Appearanceparam, Autoresizeparam, notifierparam, Multicontentparam, webcontentparam, cthemesparam, localizationparam, AboutSkinparam;
Global layer mousetrap;

Global string ActiveGroup;
Function MousetrapActivation();


System.onScriptLoaded ()
{
	initAttribs_windowpage();

	scriptGroup = getScriptGroup();
	normal = scriptGroup.getParentLayout();
	MenuButtonsGroup = scriptGroup.getObject("cfg.menu.buttons");
	ContentGroup = scriptGroup.getObject("cfg.content");
  mousetrap = ContentGroup.findObject("mousetrapscroll");

	OptionsgroupAppearance = ContentGroup.getObject("optionsgroup.appearance");
	Appearanceparam = OptionsgroupAppearance.findObject("scrollbars.param");
	OptionsgroupSongticker = ContentGroup.getObject("optionsgroup.songticker");
	OptionsgroupAutoresize = ContentGroup.getObject("optionsgroup.autoresize");
	Autoresizeparam = OptionsgroupAutoresize.findObject("scrollbars.param");
	Optionsgroupnotifier = ContentGroup.getObject("optionsgroup.notifier");
	notifierparam = Optionsgroupnotifier.findObject("scrollbars.param");
	Optionsgroupvisualization = ContentGroup.getObject("optionsgroup.visualization");
	Optionsgroupmulticontentview = ContentGroup.getObject("optionsgroup.multicontentview");
	Multicontentparam = Optionsgroupmulticontentview.findObject("scrollbars.param");
	Optionsgroupplaylist = ContentGroup.getObject("optionsgroup.playlist");
	Optionsgroupwebcontent = ContentGroup.getObject("optionsgroup.webcontent");
	webcontentparam = Optionsgroupwebcontent.findObject("scrollbars.param");
	Optionsgroupcthemes = ContentGroup.getObject("optionsgroup.cthemes");
	ColorthemesListBtn = Optionsgroupcthemes.getObject("colorthemes.list2"); // v1.2
	Colorthemes = Optionsgroupcthemes.getObject("colorthemes2"); // v1.2
	cthemesparam = Optionsgroupcthemes.findObject("scrollbars.param");
	Optionsgrouplocalization = ContentGroup.getObject("optionsgroup.localization");
	localizationparam = Optionsgrouplocalization.findObject("scrollbars.param");
	OptionsgroupAboutSkin = ContentGroup.getObject("about.skin");
	AboutSkinparam = OptionsgroupAboutSkin.findObject("scrollbars.param");


	AppearanceButton = MenuButtonsGroup.getObject("cfg.menu.appearance");
	SongtickerButton = MenuButtonsGroup.getObject("cfg.menu.songticker");
	AutoresizeButton = MenuButtonsGroup.getObject("cfg.menu.autoresize");
	NotifierButton = MenuButtonsGroup.getObject("cfg.menu.notifier");
	VisualizationButton = MenuButtonsGroup.getObject("cfg.menu.visualization");
	MulticontentviewButton = MenuButtonsGroup.getObject("cfg.menu.multicontentview");
	PlaylistButton = MenuButtonsGroup.getObject("cfg.menu.playlist");
	WebcontentButton = MenuButtonsGroup.getObject("cfg.menu.webcontent");
	CthemesButton = MenuButtonsGroup.getObject("cfg.menu.cthemes");
	LocalizationButton = MenuButtonsGroup.getObject("cfg.menu.localization");
	AboutSkinButton = MenuButtonsGroup.getObject("cfg.menu.about.skin");

  ActiveGroup = getPrivateString("Big Bento Modern", "settings_last_opened", "");

  MousetrapActivation();

  if (Activegroup == "Appearance") { AppearanceButton.LeftClick(); }
  else if (Activegroup == "Songticker") { SongtickerButton.LeftClick(); }
  else if (Activegroup == "Autoresize") { AutoresizeButton.onLeftClick(); }
  else if (Activegroup == "Notifier") { NotifierButton.onLeftClick(); }
  else if (Activegroup == "Visualization") { VisualizationButton.onLeftClick(); }
  else if (Activegroup == "Multicontentview") { MulticontentviewButton.onLeftClick(); }
  else if (Activegroup == "Playlist") { PlaylistButton.LeftClick(); }
  else if (Activegroup == "Webcontent") { WebcontentButton.onLeftClick(); }
  else if (Activegroup == "Cthemes") { CthemesButton.onLeftClick(); }
  else if (Activegroup == "Localization") { LocalizationButton.onLeftClick(); }
  else if (Activegroup == "AboutSkin") { AboutSkinButton.onLeftClick(); }
}


AppearanceButton.onLeftClick ()
{
  OptionsgroupAppearance.show();
  OptionsgroupSongticker.hide();
  OptionsgroupAutoresize.hide();
  Optionsgroupnotifier.hide();
  Optionsgroupvisualization.hide();
  Optionsgroupmulticontentview.hide();
  Optionsgroupplaylist.hide();
  Optionsgroupwebcontent.hide();
  Optionsgroupcthemes.hide();
  Optionsgrouplocalization.hide();
  OptionsgroupAboutSkin.hide();
    
  AppearanceButton.setActivated(1);
  SongtickerButton.setActivated(0);
  AutoresizeButton.setActivated(0);
  NotifierButton.setActivated(0);
  VisualizationButton.setActivated(0);
  MulticontentviewButton.setActivated(0);
  PlaylistButton.setActivated(0);
  WebcontentButton.setActivated(0);
  CthemesButton.setActivated(0);
  LocalizationButton.setActivated(0);
  AboutSkinButton.setActivated(0);

  // Next check is to trigger a mousetrap appearance. Sneaky little mouse won't appear other way..
  int Appearanceparamint = Appearanceparam.getText();

  if (OptionsgroupAppearance.getHeight() < Appearanceparamint) { mousetrap.show();}
  else { mousetrap.hide();}
  
  setPrivateString("Big Bento Modern", "settings_last_opened", "Appearance");
  sui_about_attrib.setData("0");
  sui_colorthemes_attrib.setData("0");
}

SongtickerButton.onLeftClick ()
{
  OptionsgroupAppearance.hide();
  OptionsgroupSongticker.show();
  OptionsgroupAutoresize.hide();
  Optionsgroupnotifier.hide();
  Optionsgroupvisualization.hide();
  Optionsgroupmulticontentview.hide();
  Optionsgroupplaylist.hide();
  Optionsgroupwebcontent.hide();
  Optionsgroupcthemes.hide();
  Optionsgrouplocalization.hide();
  OptionsgroupAboutSkin.hide();

  AppearanceButton.setActivated(0);
  SongtickerButton.setActivated(1);
  AutoresizeButton.setActivated(0);
  NotifierButton.setActivated(0);
  VisualizationButton.setActivated(0);
  MulticontentviewButton.setActivated(0);
  PlaylistButton.setActivated(0);
  WebcontentButton.setActivated(0);
  CthemesButton.setActivated(0);
  LocalizationButton.setActivated(0);
  AboutSkinButton.setActivated(0);

  mousetrap.hide();
  
  setPrivateString("Big Bento Modern", "settings_last_opened", "Songticker");
  sui_about_attrib.setData("0");
  sui_colorthemes_attrib.setData("0");
}

AutoresizeButton.onLeftClick()
{
  OptionsgroupAppearance.hide();
  OptionsgroupSongticker.hide();
  OptionsgroupAutoresize.show();
  Optionsgroupnotifier.hide();
  Optionsgroupvisualization.hide();
  Optionsgroupmulticontentview.hide();
  Optionsgroupplaylist.hide();
  Optionsgroupwebcontent.hide();
  Optionsgroupcthemes.hide();
  Optionsgrouplocalization.hide();
  OptionsgroupAboutSkin.hide();

  AppearanceButton.setActivated(0);
  SongtickerButton.setActivated(0);
  AutoresizeButton.setActivated(1);
  NotifierButton.setActivated(0);
  VisualizationButton.setActivated(0);
  MulticontentviewButton.setActivated(0);
  PlaylistButton.setActivated(0);
  WebcontentButton.setActivated(0);
  CthemesButton.setActivated(0);
  LocalizationButton.setActivated(0);
  AboutSkinButton.setActivated(0);

  int Autoresizeparamint = Autoresizeparam.getText();
  
  if (OptionsgroupAutoresize.getHeight() < Autoresizeparamint) { mousetrap.show();}
  else { mousetrap.hide();}

  setPrivateString("Big Bento Modern", "settings_last_opened", "Autoresize");
  sui_about_attrib.setData("0");
  sui_colorthemes_attrib.setData("0");
}

NotifierButton.onLeftClick ()
{
  OptionsgroupAppearance.hide();
  OptionsgroupSongticker.hide();
  OptionsgroupAutoresize.hide();
  Optionsgroupnotifier.show();
  Optionsgroupvisualization.hide();
  Optionsgroupmulticontentview.hide();
  Optionsgroupplaylist.hide();
  Optionsgroupwebcontent.hide();
  Optionsgroupcthemes.hide();
  Optionsgrouplocalization.hide();
  OptionsgroupAboutSkin.hide();

  AppearanceButton.setActivated(0);
  SongtickerButton.setActivated(0);
  AutoresizeButton.setActivated(0);
  NotifierButton.setActivated(1);
  VisualizationButton.setActivated(0);
  MulticontentviewButton.setActivated(0);
  PlaylistButton.setActivated(0);
  WebcontentButton.setActivated(0);
  CthemesButton.setActivated(0);
  LocalizationButton.setActivated(0);
  AboutSkinButton.setActivated(0);

  int Notifierparamint = Notifierparam.getText();

  if (OptionsgroupNotifier.getHeight() < Notifierparamint) { mousetrap.show();}
  else { mousetrap.hide();}

  setPrivateString("Big Bento Modern", "settings_last_opened", "Notifier");
  sui_about_attrib.setData("0");
  sui_colorthemes_attrib.setData("0");
}

VisualizationButton.onLeftClick ()
{
  OptionsgroupAppearance.hide();
  OptionsgroupSongticker.hide();
  OptionsgroupAutoresize.hide();
  Optionsgroupnotifier.hide();
  Optionsgroupvisualization.show();
  Optionsgroupmulticontentview.hide();
  Optionsgroupplaylist.hide();
  Optionsgroupwebcontent.hide();
  Optionsgroupcthemes.hide();
  Optionsgrouplocalization.hide();
  OptionsgroupAboutSkin.hide();

  AppearanceButton.setActivated(0);
  SongtickerButton.setActivated(0);
  AutoresizeButton.setActivated(0);
  NotifierButton.setActivated(0);
  VisualizationButton.setActivated(1);
  MulticontentviewButton.setActivated(0);
  PlaylistButton.setActivated(0);
  WebcontentButton.setActivated(0);
  CthemesButton.setActivated(0);
  LocalizationButton.setActivated(0);
  AboutSkinButton.setActivated(0);

  mousetrap.hide();
  
  setPrivateString("Big Bento Modern", "settings_last_opened", "Visualization");
  sui_about_attrib.setData("0");
  sui_colorthemes_attrib.setData("0");
}
 
MulticontentviewButton.onLeftClick ()
{
  OptionsgroupAppearance.hide();
  OptionsgroupSongticker.hide();
  OptionsgroupAutoresize.hide();
  Optionsgroupnotifier.hide();
  Optionsgroupvisualization.hide();
  Optionsgroupmulticontentview.show();
  Optionsgroupplaylist.hide();
  Optionsgroupwebcontent.hide();
  Optionsgroupcthemes.hide();
  Optionsgrouplocalization.hide();
  OptionsgroupAboutSkin.hide();

  AppearanceButton.setActivated(0);
  SongtickerButton.setActivated(0);
  AutoresizeButton.setActivated(0);
  NotifierButton.setActivated(0);
  VisualizationButton.setActivated(0);
  MulticontentviewButton.setActivated(1);
  PlaylistButton.setActivated(0);
  WebcontentButton.setActivated(0);
  CthemesButton.setActivated(0);
  LocalizationButton.setActivated(0);
  AboutSkinButton.setActivated(0);

  int Multicontentparamint = Multicontentparam.getText();

  if (OptionsgroupMulticontentview.getHeight() < Multicontentparamint) { mousetrap.show();}
  else { mousetrap.hide();}

  setPrivateString("Big Bento Modern", "settings_last_opened", "Multicontentview");
  sui_about_attrib.setData("0");
  sui_colorthemes_attrib.setData("0");
}

PlaylistButton.onLeftClick ()
{
  OptionsgroupAppearance.hide();
  OptionsgroupSongticker.hide();
  OptionsgroupAutoresize.hide();
  Optionsgroupnotifier.hide();
  Optionsgroupvisualization.hide();
  Optionsgroupmulticontentview.hide();
  Optionsgroupplaylist.show();
  Optionsgroupwebcontent.hide();
  Optionsgroupcthemes.hide();
  Optionsgrouplocalization.hide();
  OptionsgroupAboutSkin.hide();

  AppearanceButton.setActivated(0);
  SongtickerButton.setActivated(0);
  AutoresizeButton.setActivated(0);
  NotifierButton.setActivated(0);
  VisualizationButton.setActivated(0);
  MulticontentviewButton.setActivated(0);
  PlaylistButton.setActivated(1);
  WebcontentButton.setActivated(0);
  CthemesButton.setActivated(0);
  LocalizationButton.setActivated(0);
  AboutSkinButton.setActivated(0);

  mousetrap.hide();
  
  setPrivateString("Big Bento Modern", "settings_last_opened", "Playlist");
  sui_about_attrib.setData("0");
  sui_colorthemes_attrib.setData("0");
}


WebcontentButton.onLeftClick ()
{
  OptionsgroupAppearance.hide();
  OptionsgroupSongticker.hide();
  OptionsgroupAutoresize.hide();
  Optionsgroupnotifier.hide();
  Optionsgroupvisualization.hide();
  Optionsgroupmulticontentview.hide();
  Optionsgroupplaylist.hide();
  Optionsgroupwebcontent.show();
  Optionsgroupcthemes.hide();
  Optionsgrouplocalization.hide();
  OptionsgroupAboutSkin.hide();

  AppearanceButton.setActivated(0);
  SongtickerButton.setActivated(0);
  AutoresizeButton.setActivated(0);
  NotifierButton.setActivated(0);
  VisualizationButton.setActivated(0);
  MulticontentviewButton.setActivated(0);
  PlaylistButton.setActivated(0);
  WebcontentButton.setActivated(1);
  CthemesButton.setActivated(0);
  LocalizationButton.setActivated(0);
  AboutSkinButton.setActivated(0);

  int Webcontentparamint = Webcontentparam.getText();

  if (OptionsgroupWebcontent.getHeight() < Webcontentparamint) { mousetrap.show();}
  else { mousetrap.hide();}
  
  setPrivateString("Big Bento Modern", "settings_last_opened", "Webcontent");
  sui_about_attrib.setData("0");
  sui_colorthemes_attrib.setData("0");
}

CthemesButton.onLeftClick ()
{
  OptionsgroupAppearance.hide();
  OptionsgroupSongticker.hide();
  OptionsgroupAutoresize.hide();
  Optionsgroupnotifier.hide();
  Optionsgroupvisualization.hide();
  Optionsgroupmulticontentview.hide();
  Optionsgroupplaylist.hide();
  Optionsgroupwebcontent.hide();
  Optionsgroupcthemes.show();
  Optionsgrouplocalization.hide();
  OptionsgroupAboutSkin.hide();

  AppearanceButton.setActivated(0);
  SongtickerButton.setActivated(0);
  AutoresizeButton.setActivated(0);
  NotifierButton.setActivated(0);
  VisualizationButton.setActivated(0);
  MulticontentviewButton.setActivated(0);
  PlaylistButton.setActivated(0);
  WebcontentButton.setActivated(0);
  CthemesButton.setActivated(1);
  LocalizationButton.setActivated(0);
  AboutSkinButton.setActivated(0);

  int Cthemesparamint = Cthemesparam.getText();

  if (OptionsgroupCthemes.getHeight() < Cthemesparamint) { mousetrap.show();}
  else { mousetrap.hide();}
  
  setPrivateString("Big Bento Modern", "settings_last_opened", "Cthemes");
  sui_about_attrib.setData("0");
  sui_colorthemes_attrib.setData("1");
}

LocalizationButton.onLeftClick ()
{
  OptionsgroupAppearance.hide();
  OptionsgroupSongticker.hide();
  OptionsgroupAutoresize.hide();
  Optionsgroupnotifier.hide();
  Optionsgroupvisualization.hide();
  Optionsgroupmulticontentview.hide();
  Optionsgroupplaylist.hide();
  Optionsgroupwebcontent.hide();
  Optionsgroupcthemes.hide();
  Optionsgrouplocalization.show();
  OptionsgroupAboutSkin.hide();

  AppearanceButton.setActivated(0);
  SongtickerButton.setActivated(0);
  AutoresizeButton.setActivated(0);
  NotifierButton.setActivated(0);
  VisualizationButton.setActivated(0);
  MulticontentviewButton.setActivated(0);
  PlaylistButton.setActivated(0);
  WebcontentButton.setActivated(0);
  CthemesButton.setActivated(0);
  LocalizationButton.setActivated(1);
  AboutSkinButton.setActivated(0);

  int Localizationparamint = Localizationparam.getText();

  if (OptionsgroupLocalization.getHeight() < Localizationparamint) { mousetrap.show();}
  else { mousetrap.hide();}
  
  setPrivateString("Big Bento Modern", "settings_last_opened", "Localization");
  sui_about_attrib.setData("0");
  sui_colorthemes_attrib.setData("0");
}	

AboutSkinButton.onLeftClick ()
{
  OptionsgroupAppearance.hide();
  OptionsgroupSongticker.hide();
  OptionsgroupAutoresize.hide();
  Optionsgroupnotifier.hide();
  Optionsgroupvisualization.hide();
  Optionsgroupmulticontentview.hide();
  Optionsgroupplaylist.hide();
  Optionsgroupwebcontent.hide();
  Optionsgroupcthemes.hide();
  Optionsgrouplocalization.hide();
  OptionsgroupAboutSkin.show();

  AppearanceButton.setActivated(0);
  SongtickerButton.setActivated(0);
  AutoresizeButton.setActivated(0);
  NotifierButton.setActivated(0);
  VisualizationButton.setActivated(0);
  MulticontentviewButton.setActivated(0);
  PlaylistButton.setActivated(0);
  WebcontentButton.setActivated(0);
  CthemesButton.setActivated(0);
  LocalizationButton.setActivated(0);
  AboutSkinButton.setActivated(1);

  int AboutSkinparamint = AboutSkinparam.getText();

  if (OptionsgroupAboutSkin.getHeight() < AboutSkinparamint) { mousetrap.show();}
  else { mousetrap.hide();}
  
  setPrivateString("Big Bento Modern", "settings_last_opened", "AboutSkin");
  sui_about_attrib.setData("1");
  sui_colorthemes_attrib.setData("0");
}


normal.onAction (String action, String param, Int x, int y, int p1, int p2, GuiObject source)
{
	if (action == "load_cfg" && strlower(param) == "about")
	{
    AboutSkinButton.onLeftClick ();
	}

  if (action == "load_cfg" && strlower(param) == "colorthemes")
	{
    CthemesButton.onLeftClick ();
	}
}


ContentGroup.onresize(int x, int y, int w, int h)
{
  MousetrapActivation();
}


MousetrapActivation() // This is key for the mousewheel job on scrollbars
{
  Boolean Appearanceb = AppearanceButton.getActivated();
  Boolean AutoresizeButtonb = AutoresizeButton.getActivated();
  Boolean NotifierButtonb = NotifierButton.getActivated();
  Boolean MulticontentviewButtonb = MulticontentviewButton.getActivated();
  Boolean WebcontentButtonb = WebcontentButton.getActivated();
  Boolean CthemesButtonb = CthemesButton.getActivated();
  Boolean LocalizationButtonb = LocalizationButton.getActivated();
  Boolean AboutSkinButtonb = AboutSkinButton.getActivated();

  
  int Resizeint = ContentGroup.getHeight();
  int Appearanceparamint = StringToInteger(Appearanceparam.getText());
  int Autoresizeparamint = StringToInteger(Autoresizeparam.getText());
	int notifierparamint = StringToInteger(notifierparam.getText());
	int Multicontentparamint = StringToInteger(Multicontentparam.getText());
	int webcontentparamint = StringToInteger(webcontentparam.getText());
	int cthemesparamint = StringToInteger(cthemesparam.getText());
	int localizationparamint = StringToInteger(localizationparam.getText());
	int AboutSkinparamint = StringToInteger(AboutSkinparam.getText());


  if (Appearanceb == 1 && Resizeint < Appearanceparamint)
  {
    mousetrap.show();
  }
  else if (AutoresizeButtonb == 1 && Resizeint < Autoresizeparamint)
  {
    mousetrap.show();
  }
  else if (NotifierButtonb == 1 && Resizeint < notifierparamint)
  {
    mousetrap.show();
  }
  else if (MulticontentviewButtonb == 1 && Resizeint < Multicontentparamint)
  {
    mousetrap.show();
  }
  else if (WebcontentButtonb == 1 && Resizeint < webcontentparamint)
  {
    mousetrap.show();
  }
  else if (CthemesButtonb == 1 && Resizeint < cthemesparamint)
  {
    mousetrap.show();
  }
  else if (LocalizationButtonb == 1 && Resizeint < localizationparamint)
  {
    mousetrap.show();
  }
  else if (AboutSkinButtonb == 1 && Resizeint < AboutSkinparamint)
  {
    mousetrap.show();
  }
  else { mousetrap.hide(); }
}


ColorthemesListBtn.onLeftClick() // v1.2
{
  if (Colorthemes.isVisible() == 0) { Colorthemes.show(); /*ColorthemesListBtn.setActivated(1);*/ }
  else  { Colorthemes.hide(); /*ColorthemesListBtn.setActivated(0); */}
}