/*---------------------------------------------------
-----------------------------------------------------
Filename:	infoline.m
Version:	1.0

Type:		maki
Date:		06. Nov. 2007 - 22:40 
Author:		Martin Poehlmann aka Deimos
E-Mail:		martin@skinconsortium.com
Internet:	www.skinconsortium.com
		www.martin.deimos.de.vu
-----------------------------------------------------
---------------------------------------------------*/

#include "std.mi"
#include "attribs/init_windowpage.m"

Global Text txt;
//Global Text label; // v1.2
Global Layer link, link2; // v1.2 "link2"
Global Group sg;
Global Int shift = 0;

System.onScriptLoaded ()
{
  initAttribs_windowpage();
  
	sg = getScriptGroup();

	txt = sg.getObject("text");
	//label = sg.getObject("label"); // v1.2
	link = sg.getObject("link");
	link2 = sg.getObject("link2"); // v1.2

  // Scroll text is on/off?
  if (infocomp_scroll.getData() == "1") txt.setXmlparam("ticker", "1");
  else if (infocomp_scroll.getData() == "0") txt.setXmlparam("ticker", "0");
}

System.onSetXuiParam (String param, String value)
{
	if (strlower(param) == "shift") shift = stringToInteger(value);
	if (strlower(param) == "link") { link.setXmlparam("tooltip", value); link2.hide(); } // v1.2 "link2.hide();" used to set a custom link / behaviour for this particular item
	if (strlower(param) == "link2") { link2.setXmlparam("tooltip", value); link2.show(); } // v1.2
}

// Scroll text if it doesn't fit on/off
infocomp_scroll.onDataChanged ()
{
	if (getData() == "1")
	{
  txt.setXmlparam("ticker", "1");
	}
	else
	{
  txt.setXmlparam("ticker", "0");
	}
}